GNU bug report logs - #36337
26.1; XBM images are sometimes not displayed correctly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Markus Triska <triska@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 36337 <at> debbugs.gnu.org and Markus Triska <triska@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 24 Sep 2019 16:36:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 24 12:36:00 2019
Received: from localhost ([127.0.0.1]:39966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCnnE-0004mY-1r
	for submit <at> debbugs.gnu.org; Tue, 24 Sep 2019 12:36:00 -0400
Received: from quimby.gnus.org ([80.91.231.51]:40154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iCnnC-0004mQ-On
 for 36337 <at> debbugs.gnu.org; Tue, 24 Sep 2019 12:35:59 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iCnn8-0001DQ-EC; Tue, 24 Sep 2019 18:35:57 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
 <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
 <835zoohg3p.fsf@HIDDEN>
 <CAOqdjBcRtw=tif82pKAwVaayWNRXePtVSZ6pHnyP8crsxAn1ug@HIDDEN>
 <83h887f8go.fsf@HIDDEN>
 <CAOqdjBd+vMkY7jieH4Q1eC=9m1mYVtEV293+P0sUkWHjG50Y5A@HIDDEN>
 <83a7dzf6k7.fsf@HIDDEN>
 <CAOqdjBfr9RWiPMbxqfBPf7tXcJkYqLe++MPArTx5dURXU3SFHA@HIDDEN>
 <837e93f41n.fsf@HIDDEN>
 <CAOqdjBca3_-ESuomckZnF2LHG-oCP=3-Tv7WJj+WQRGmrLc+Jw@HIDDEN>
 <834l47f039.fsf@HIDDEN>
Date: Tue, 24 Sep 2019 18:35:53 +0200
In-Reply-To: <834l47f039.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 30 Jun
 2019 20:35:06 +0300")
Message-ID: <87y2ydy7me.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> Bug#36337 >> >> *
 src/image.c (xbm_image_p): Explicitly specify the right stride if a >> bool
 vector is used as argument. >> * doc/lispref/display.texi (XBM Images):
 Describe bool vectors >> accura [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN, Pip Cet <pipcet@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Bug#36337
>> 
>> * src/image.c (xbm_image_p): Explicitly specify the right stride if a
>>   bool vector is used as argument.
>> * doc/lispref/display.texi (XBM Images): Describe bool vectors
>>   accurately.
>> * etc/NEWS: Document the change.
>
> This is fine, thanks.

This was 12 weeks ago, but the patch hadn't been applied (and looked
good to me, too), so I've now done so.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 30 Jun 2019 17:35:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 30 13:35:21 2019
Received: from localhost ([127.0.0.1]:47223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhdjT-0002o1-EQ
	for submit <at> debbugs.gnu.org; Sun, 30 Jun 2019 13:35:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hhdjR-0002nj-Tw
 for 36337 <at> debbugs.gnu.org; Sun, 30 Jun 2019 13:35:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36641)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hhdjM-0000N2-8Z; Sun, 30 Jun 2019 13:35:12 -0400
Received: from [176.228.60.248] (port=2233 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hhdjL-0003Px-DD; Sun, 30 Jun 2019 13:35:11 -0400
Date: Sun, 30 Jun 2019 20:35:06 +0300
Message-Id: <834l47f039.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBca3_-ESuomckZnF2LHG-oCP=3-Tv7WJj+WQRGmrLc+Jw@HIDDEN>
 (message from Pip Cet on Sun, 30 Jun 2019 17:12:53 +0000)
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
 <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
 <835zoohg3p.fsf@HIDDEN>
 <CAOqdjBcRtw=tif82pKAwVaayWNRXePtVSZ6pHnyP8crsxAn1ug@HIDDEN>
 <83h887f8go.fsf@HIDDEN>
 <CAOqdjBd+vMkY7jieH4Q1eC=9m1mYVtEV293+P0sUkWHjG50Y5A@HIDDEN>
 <83a7dzf6k7.fsf@HIDDEN>
 <CAOqdjBfr9RWiPMbxqfBPf7tXcJkYqLe++MPArTx5dURXU3SFHA@HIDDEN>
 <837e93f41n.fsf@HIDDEN>
 <CAOqdjBca3_-ESuomckZnF2LHG-oCP=3-Tv7WJj+WQRGmrLc+Jw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sun, 30 Jun 2019 17:12:53 +0000
> Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> 
> From a10f0e6d67521ca1598ea0dd18cca0829eded517 Mon Sep 17 00:00:00 2001
> From: Pip Cet <pipcet@HIDDEN>
> Date: Sat, 29 Jun 2019 07:15:52 +0000
> Subject: [PATCH] Allow a :stride argument so XBM boolvecs are in the right
>  format.
> 
> Bug#36337
> 
> * src/image.c (xbm_image_p): Explicitly specify the right stride if a
>   bool vector is used as argument.
> * doc/lispref/display.texi (XBM Images): Describe bool vectors
>   accurately.
> * etc/NEWS: Document the change.

This is fine, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 30 Jun 2019 17:13:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 30 13:13:38 2019
Received: from localhost ([127.0.0.1]:47202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhdOT-0002Hi-Th
	for submit <at> debbugs.gnu.org; Sun, 30 Jun 2019 13:13:38 -0400
Received: from mail-ot1-f54.google.com ([209.85.210.54]:39589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1hhdOR-0002HL-G1
 for 36337 <at> debbugs.gnu.org; Sun, 30 Jun 2019 13:13:36 -0400
Received: by mail-ot1-f54.google.com with SMTP id r21so10404812otq.6
 for <36337 <at> debbugs.gnu.org>; Sun, 30 Jun 2019 10:13:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=51DRnY3hAVqnYseuRFKepPYf1h7Z17LoTzIQyYO8fnU=;
 b=XokCgNKJVRjDlq8a0pOZBZ/vcULm/NJ+Axi/aYvUr+fMwutFvJk6CTecRFzUDQoDyw
 iN+24eZrO8IWN0t2tphKvp51EZ/MG/BgPuhF+qM/lfQtkGsC6LDQQ4UAFcr7DpQrrJUI
 G7VG4SAD1ctRXod4xHInE65WAroWmtmseE0BFp7Er1rfrEQ3ILHuf8602cmfDYUn2rtT
 kjqsYnsbdcwOmVden+g7AhjJ48zEbT92u5kORQZGKhLouyW7lfsM5HwRhAZmCMLJn3L7
 Uevz4dEcmTYQnR8p07Of9Pxad7rV+jDvOe7/4VTr5dyiaFw/rsXX/FvEyBdl/00okuo7
 dnRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=51DRnY3hAVqnYseuRFKepPYf1h7Z17LoTzIQyYO8fnU=;
 b=gYYezpB7K/Ni3SgGlYqpJNW4OPX+Kgr6nYHXYYj9//HZRixjabFdomCx60Nsvf9k4h
 jQeaxd39bOAaNLHzqN5UWZpO24eALtorcH8Y/zMDA6Ir5WtjQ2cVqd68g19Xo5EnNN4n
 7wD7uI7acAxafWR0I1E66+bazhrnHCXSQEKG0KOPELPqQ7/EF0yekRUyaG9mc+8s6Cx3
 HPnkZl8RgckV1idBPppNEXKo+lGop6ukQ6AyHU+YdmHlpU8wHXyF6HW+19cfARyvaCU5
 eL2LCaYY7g70DcMizxvhLpXlYem61THVek0cUuiT0GeCdJN5qckwT/Bt37qk/s/SeNMQ
 3axg==
X-Gm-Message-State: APjAAAXEjCsp/4/RFtHQqT+5wi88szx6tpA760ndAtPu9GTMZMR83eQi
 W75zIOPESL3wUQciPKZjtumVClnu3Pat6KEEceI=
X-Google-Smtp-Source: APXvYqwerqe0CzN9b49fevPrijmR2B4HZIOjvQFoFbVYIpcbkZCFCO1paKqeIv7uHWLYpGH5G+cZlggafjn0M58/jQM=
X-Received: by 2002:a9d:3c5:: with SMTP id f63mr16058119otf.210.1561914809945; 
 Sun, 30 Jun 2019 10:13:29 -0700 (PDT)
MIME-Version: 1.0
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
 <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
 <835zoohg3p.fsf@HIDDEN>
 <CAOqdjBcRtw=tif82pKAwVaayWNRXePtVSZ6pHnyP8crsxAn1ug@HIDDEN>
 <83h887f8go.fsf@HIDDEN>
 <CAOqdjBd+vMkY7jieH4Q1eC=9m1mYVtEV293+P0sUkWHjG50Y5A@HIDDEN>
 <83a7dzf6k7.fsf@HIDDEN>
 <CAOqdjBfr9RWiPMbxqfBPf7tXcJkYqLe++MPArTx5dURXU3SFHA@HIDDEN>
 <837e93f41n.fsf@HIDDEN>
In-Reply-To: <837e93f41n.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sun, 30 Jun 2019 17:12:53 +0000
Message-ID: <CAOqdjBca3_-ESuomckZnF2LHG-oCP=3-Tv7WJj+WQRGmrLc+Jw@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000006aac04058c8da144"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000006aac04058c8da144
Content-Type: text/plain; charset="UTF-8"

> You removed the @w{...}, which IMO is important with long
> expressions.  Other than that, looks good.

You're right. I got it right in the email, so I don't know what happened there.

How's this?

--0000000000006aac04058c8da144
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Allow-a-stride-argument-so-XBM-boolvecs-are-in-the-r.patch"
Content-Disposition: attachment; 
	filename="0001-Allow-a-stride-argument-so-XBM-boolvecs-are-in-the-r.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jxj7ovq60>
X-Attachment-Id: f_jxj7ovq60

RnJvbSBhMTBmMGU2ZDY3NTIxY2ExNTk4ZWEwZGQxOGNjYTA4MjllZGVkNTE3IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQaXAgQ2V0IDxwaXBjZXRAZ21haWwuY29tPgpEYXRlOiBTYXQs
IDI5IEp1biAyMDE5IDA3OjE1OjUyICswMDAwClN1YmplY3Q6IFtQQVRDSF0gQWxsb3cgYSA6c3Ry
aWRlIGFyZ3VtZW50IHNvIFhCTSBib29sdmVjcyBhcmUgaW4gdGhlIHJpZ2h0CiBmb3JtYXQuCgpC
dWcjMzYzMzcKCiogc3JjL2ltYWdlLmMgKHhibV9pbWFnZV9wKTogRXhwbGljaXRseSBzcGVjaWZ5
IHRoZSByaWdodCBzdHJpZGUgaWYgYQogIGJvb2wgdmVjdG9yIGlzIHVzZWQgYXMgYXJndW1lbnQu
CiogZG9jL2xpc3ByZWYvZGlzcGxheS50ZXhpIChYQk0gSW1hZ2VzKTogRGVzY3JpYmUgYm9vbCB2
ZWN0b3JzCiAgYWNjdXJhdGVseS4KKiBldGMvTkVXUzogRG9jdW1lbnQgdGhlIGNoYW5nZS4KLS0t
CiBkb2MvbGlzcHJlZi9kaXNwbGF5LnRleGkgfCAxOCArKysrKysrKysrKystLS0tLS0KIGV0Yy9O
RVdTICAgICAgICAgICAgICAgICB8ICA1ICsrKysrCiBzcmMvaW1hZ2UuYyAgICAgICAgICAgICAg
fCAyMSArKysrKysrKysrKysrKystLS0tLS0KIDMgZmlsZXMgY2hhbmdlZCwgMzIgaW5zZXJ0aW9u
cygrKSwgMTIgZGVsZXRpb25zKC0pCgpkaWZmIC0tZ2l0IGEvZG9jL2xpc3ByZWYvZGlzcGxheS50
ZXhpIGIvZG9jL2xpc3ByZWYvZGlzcGxheS50ZXhpCmluZGV4IDIxN2RmM2IyY2MuLjM4ZjE2ZmUx
ODAgMTAwNjQ0Ci0tLSBhL2RvYy9saXNwcmVmL2Rpc3BsYXkudGV4aQorKysgYi9kb2MvbGlzcHJl
Zi9kaXNwbGF5LnRleGkKQEAgLTU0MDksMTIgKzU0MDksMTQgQEAgWEJNIEltYWdlcwogWEJNIGZp
bGUuICBUaGUgZmlsZSBjb250ZW50cyBzcGVjaWZ5IHRoZSBoZWlnaHQgYW5kIHdpZHRoIG9mIHRo
ZSBpbWFnZS4KIAogQGl0ZW0KLUEgc3RyaW5nIG9yIGEgYm9vbC12ZWN0b3IgY29udGFpbmluZyB0
aGUgYml0cyBvZiB0aGUgaW1hZ2UgKHBsdXMgcGVyaGFwcwotc29tZSBleHRyYSBiaXRzIGF0IHRo
ZSBlbmQgdGhhdCB3aWxsIG5vdCBiZSB1c2VkKS4gIEl0IHNob3VsZCBjb250YWluIGF0Ci1sZWFz
dCBAdmFye3dpZHRofSAqIEBjb2Rle2hlaWdodH0gYml0cy4gIEluIHRoaXMgY2FzZSwgeW91IG11
c3Qgc3BlY2lmeQotQGNvZGV7OmhlaWdodH0gYW5kIEBjb2Rlezp3aWR0aH0sIGJvdGggdG8gaW5k
aWNhdGUgdGhhdCB0aGUgc3RyaW5nCi1jb250YWlucyBqdXN0IHRoZSBiaXRzIHJhdGhlciB0aGFu
IGEgd2hvbGUgWEJNIGZpbGUsIGFuZCB0byBzcGVjaWZ5IHRoZQotc2l6ZSBvZiB0aGUgaW1hZ2Uu
CitBIHN0cmluZyBvciBhIGJvb2wtdmVjdG9yIGNvbnRhaW5pbmcgdGhlIGJpdHMgb2YgdGhlIGlt
YWdlIChwbHVzCitwZXJoYXBzIHNvbWUgZXh0cmEgYml0cyBhdCB0aGUgZW5kIHRoYXQgd2lsbCBu
b3QgYmUgdXNlZCkuICBJdCBzaG91bGQKK2NvbnRhaW4gYXQgbGVhc3QgQHd7QGNvZGV7QHZhcntz
dHJpZGV9ICogQHZhcntoZWlnaHR9fX0gYml0cywgd2hlcmUKK0B2YXJ7c3RyaWRlfSBpcyB0aGUg
c21hbGxlc3QgbXVsdGlwbGUgb2YgOCBncmVhdGVyIHRoYW4gb3IgZXF1YWwgdG8KK3RoZSB3aWR0
aCBvZiB0aGUgaW1hZ2UuICBJbiB0aGlzIGNhc2UsIHlvdSBzaG91bGQgc3BlY2lmeQorQGNvZGV7
OmhlaWdodH0sIEBjb2Rlezp3aWR0aH0gYW5kIEBjb2RlezpzdHJpZGV9LCBib3RoIHRvIGluZGlj
YXRlCit0aGF0IHRoZSBzdHJpbmcgY29udGFpbnMganVzdCB0aGUgYml0cyByYXRoZXIgdGhhbiBh
IHdob2xlIFhCTSBmaWxlLAorYW5kIHRvIHNwZWNpZnkgdGhlIHNpemUgb2YgdGhlIGltYWdlLgog
QGVuZCBpdGVtaXplCiAKIEBpdGVtIDp3aWR0aCBAdmFye3dpZHRofQpAQCAtNTQyMiw2ICs1NDI0
LDEwIEBAIFhCTSBJbWFnZXMKIAogQGl0ZW0gOmhlaWdodCBAdmFye2hlaWdodH0KIFRoZSB2YWx1
ZSwgQHZhcntoZWlnaHR9LCBzcGVjaWZpZXMgdGhlIGhlaWdodCBvZiB0aGUgaW1hZ2UsIGluIHBp
eGVscy4KKworQGl0ZW0gOnN0cmlkZSBAdmFye3N0cmlkZX0KK1RoZSBudW1iZXIgb2YgYm9vbCB2
ZWN0b3IgZW50cmllcyBzdG9yZWQgZm9yIGVhY2ggcm93OyB0aGUgc21hbGxlc3QKK211bHRpcGxl
IG9mIDggZ3JlYXRlciB0aGFuIG9yIGVxdWFsIHRvIEB2YXJ7d2lkdGh9LgogQGVuZCB0YWJsZQog
CiBAbm9kZSBYUE0gSW1hZ2VzCmRpZmYgLS1naXQgYS9ldGMvTkVXUyBiL2V0Yy9ORVdTCmluZGV4
IDg2NGViOGMxMTAuLjQ0NTQ1ZDViZmUgMTAwNjQ0Ci0tLSBhL2V0Yy9ORVdTCisrKyBiL2V0Yy9O
RVdTCkBAIC0yMjYyLDYgKzIyNjIsMTEgQEAgYXJndW1lbnQgaXMgJ2llYycgYW5kIHRoZSBlbXB0
eSBzdHJpbmcgb3RoZXJ3aXNlLiAgV2UgcmVjb21tZW50IGEKIHNwYWNlIG9yIG5vbi1icmVha2lu
ZyBzcGFjZSBhcyB0aGlyZCBhcmd1bWVudCwgYW5kICJCIiBhcyBmb3VydGgKIGFyZ3VtZW50LCBj
aXJjdW1zdGFuY2VzIGFsbG93aW5nLgogCisrKysKKyoqIFRoZSBYQk0gaW1hZ2UgaGFuZGxlciBu
b3cgYWNjZXB0cyBhICc6c3RyaWRlJyBhcmd1bWVudCwgd2hpY2ggc2hvdWxkCitiZSBzcGVjaWZp
ZWQgaW4gaW1hZ2Ugc3BlY3MgcmVwcmVzZW50aW5nIHRoZSBlbnRpcmUgYml0bWFwIGFzIGEgc2lu
Z2xlCitib29sIHZlY3Rvci4KKwogDAogKiBDaGFuZ2VzIGluIEVtYWNzIDI3LjEgb24gTm9uLUZy
ZWUgT3BlcmF0aW5nIFN5c3RlbXMKIApkaWZmIC0tZ2l0IGEvc3JjL2ltYWdlLmMgYi9zcmMvaW1h
Z2UuYwppbmRleCBmM2Q2NTA4ZjQ2Li5jZGI5MTBkZWVkIDEwMDY0NAotLS0gYS9zcmMvaW1hZ2Uu
YworKysgYi9zcmMvaW1hZ2UuYwpAQCAtMzA5NSw2ICszMDk1LDcgQEAgc2x1cnBfZmlsZSAoaW50
IGZkLCBwdHJkaWZmX3QgKnNpemUpCiAgIFhCTV9GSUxFLAogICBYQk1fV0lEVEgsCiAgIFhCTV9I
RUlHSFQsCisgIFhCTV9TVFJJREUsCiAgIFhCTV9EQVRBLAogICBYQk1fRk9SRUdST1VORCwKICAg
WEJNX0JBQ0tHUk9VTkQsCkBAIC0zMTE2LDYgKzMxMTcsNyBAQCBzbHVycF9maWxlIChpbnQgZmQs
IHB0cmRpZmZfdCAqc2l6ZSkKICAgeyI6ZmlsZSIsCQlJTUFHRV9TVFJJTkdfVkFMVUUsCQkJMH0s
CiAgIHsiOndpZHRoIiwJCUlNQUdFX1BPU0lUSVZFX0lOVEVHRVJfVkFMVUUsCQkwfSwKICAgeyI6
aGVpZ2h0IiwJCUlNQUdFX1BPU0lUSVZFX0lOVEVHRVJfVkFMVUUsCQkwfSwKKyAgeyI6c3RyaWRl
IiwJCUlNQUdFX1BPU0lUSVZFX0lOVEVHRVJfVkFMVUUsCQkwfSwKICAgeyI6ZGF0YSIsCQlJTUFH
RV9ET05UX0NIRUNLX1ZBTFVFX1RZUEUsCQkwfSwKICAgeyI6Zm9yZWdyb3VuZCIsCUlNQUdFX1NU
UklOR19PUl9OSUxfVkFMVUUsCQkwfSwKICAgeyI6YmFja2dyb3VuZCIsCUlNQUdFX1NUUklOR19P
Ul9OSUxfVkFMVUUsCQkwfSwKQEAgLTMxOTEsNyArMzE5Myw3IEBAIHhibV9pbWFnZV9wIChMaXNw
X09iamVjdCBvYmplY3QpCiAgIGVsc2UKICAgICB7CiAgICAgICBMaXNwX09iamVjdCBkYXRhOwot
ICAgICAgaW50IHdpZHRoLCBoZWlnaHQ7CisgICAgICBpbnQgd2lkdGgsIGhlaWdodCwgc3RyaWRl
OwogCiAgICAgICAvKiBFbnRyaWVzIGZvciBgOndpZHRoJywgYDpoZWlnaHQnIGFuZCBgOmRhdGEn
IG11c3QgYmUgcHJlc2VudC4gICovCiAgICAgICBpZiAoIWt3W1hCTV9XSURUSF0uY291bnQKQEAg
LTMyMDMsNiArMzIwNSwxMSBAQCB4Ym1faW1hZ2VfcCAoTGlzcF9PYmplY3Qgb2JqZWN0KQogICAg
ICAgd2lkdGggPSBYRklYTkFUIChrd1tYQk1fV0lEVEhdLnZhbHVlKTsKICAgICAgIGhlaWdodCA9
IFhGSVhOQVQgKGt3W1hCTV9IRUlHSFRdLnZhbHVlKTsKIAorICAgICAgaWYgKCFrd1tYQk1fU1RS
SURFXS5jb3VudCkKKwlzdHJpZGUgPSB3aWR0aDsKKyAgICAgIGVsc2UKKwlzdHJpZGUgPSBYRklY
TkFUIChrd1tYQk1fU1RSSURFXS52YWx1ZSk7CisKICAgICAgIC8qIENoZWNrIHR5cGUgb2YgZGF0
YSwgYW5kIHdpZHRoIGFuZCBoZWlnaHQgYWdhaW5zdCBjb250ZW50cyBvZgogCSBkYXRhLiAgKi8K
ICAgICAgIGlmIChWRUNUT1JQIChkYXRhKSkKQEAgLTMyMjEsOCArMzIyOCw3IEBAIHhibV9pbWFn
ZV9wIChMaXNwX09iamVjdCBvYmplY3QpCiAKIAkgICAgICBpZiAoU1RSSU5HUCAoZWx0KSkKIAkJ
ewotCQkgIGlmIChTQ0hBUlMgKGVsdCkKLQkJICAgICAgPCAod2lkdGggKyBDSEFSX0JJVCAtIDEp
IC8gQ0hBUl9CSVQpCisJCSAgaWYgKFNDSEFSUyAoZWx0KSA8IHN0cmlkZSAvIENIQVJfQklUKQog
CQkgICAgcmV0dXJuIDA7CiAJCX0KIAkgICAgICBlbHNlIGlmIChCT09MX1ZFQ1RPUl9QIChlbHQp
KQpAQCAtMzIzNiwxMyArMzI0MiwxNiBAQCB4Ym1faW1hZ2VfcCAoTGlzcF9PYmplY3Qgb2JqZWN0
KQogCX0KICAgICAgIGVsc2UgaWYgKFNUUklOR1AgKGRhdGEpKQogCXsKLQkgIGlmIChTQ0hBUlMg
KGRhdGEpCi0JICAgICAgPCAod2lkdGggKyBDSEFSX0JJVCAtIDEpIC8gQ0hBUl9CSVQgKiBoZWln
aHQpCisJICBpZiAoU0NIQVJTIChkYXRhKSA8IHN0cmlkZSAvIENIQVJfQklUICogaGVpZ2h0KQog
CSAgICByZXR1cm4gMDsKIAl9CiAgICAgICBlbHNlIGlmIChCT09MX1ZFQ1RPUl9QIChkYXRhKSkK
IAl7Ci0JICBpZiAoYm9vbF92ZWN0b3Jfc2l6ZSAoZGF0YSkgLyBoZWlnaHQgPCB3aWR0aCkKKwkg
IGlmIChoZWlnaHQgPiAxICYmIHN0cmlkZSAhPSAod2lkdGggKyBDSEFSX0JJVCAtIDEpCisJICAg
ICAgLyBDSEFSX0JJVCAqIENIQVJfQklUKQorCSAgICByZXR1cm4gMDsKKworCSAgaWYgKGJvb2xf
dmVjdG9yX3NpemUgKGRhdGEpIC8gaGVpZ2h0IDwgc3RyaWRlKQogCSAgICByZXR1cm4gMDsKIAl9
CiAgICAgICBlbHNlCi0tIAoyLjIwLjEKCg==
--0000000000006aac04058c8da144--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 30 Jun 2019 16:09:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 30 12:09:58 2019
Received: from localhost ([127.0.0.1]:47169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhcOr-0000ol-Ta
	for submit <at> debbugs.gnu.org; Sun, 30 Jun 2019 12:09:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hhcOp-0000oY-PG
 for 36337 <at> debbugs.gnu.org; Sun, 30 Jun 2019 12:09:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35653)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hhcOi-0005r0-GZ; Sun, 30 Jun 2019 12:09:50 -0400
Received: from [176.228.60.248] (port=4795 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hhcOi-0003sX-1Q; Sun, 30 Jun 2019 12:09:48 -0400
Date: Sun, 30 Jun 2019 19:09:40 +0300
Message-Id: <837e93f41n.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBfr9RWiPMbxqfBPf7tXcJkYqLe++MPArTx5dURXU3SFHA@HIDDEN>
 (message from Pip Cet on Sun, 30 Jun 2019 15:36:17 +0000)
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
 <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
 <835zoohg3p.fsf@HIDDEN>
 <CAOqdjBcRtw=tif82pKAwVaayWNRXePtVSZ6pHnyP8crsxAn1ug@HIDDEN>
 <83h887f8go.fsf@HIDDEN>
 <CAOqdjBd+vMkY7jieH4Q1eC=9m1mYVtEV293+P0sUkWHjG50Y5A@HIDDEN>
 <83a7dzf6k7.fsf@HIDDEN>
 <CAOqdjBfr9RWiPMbxqfBPf7tXcJkYqLe++MPArTx5dURXU3SFHA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sun, 30 Jun 2019 15:36:17 +0000
> Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> 
> On Sun, Jun 30, 2019 at 3:15 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > Thanks, but maybe @w{@code{@var{stride} * @var{height}}} would be more correct?
> >
> > Yes, of course.
> 
> Okay, I wasn't sure. Updated patch attached.

You removed the @w{...}, which IMO is important with long
expressions.  Other than that, looks good.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 30 Jun 2019 15:37:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 30 11:37:02 2019
Received: from localhost ([127.0.0.1]:47150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhbsz-0008V0-CG
	for submit <at> debbugs.gnu.org; Sun, 30 Jun 2019 11:37:01 -0400
Received: from mail-ot1-f48.google.com ([209.85.210.48]:35802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1hhbsx-0008Um-2I
 for 36337 <at> debbugs.gnu.org; Sun, 30 Jun 2019 11:36:59 -0400
Received: by mail-ot1-f48.google.com with SMTP id j19so10952375otq.2
 for <36337 <at> debbugs.gnu.org>; Sun, 30 Jun 2019 08:36:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=oVWk/q2XeDtUSbBVyVaYuBqT6sZOlcXtNbex5DHwEuw=;
 b=cN+6qt5nDXl1DIGkM9RWK1DvnNHLoleQirj/pAwWxsEav7GjS3wFW2MOdM1uzVS7kP
 uYlRLDADdD/ksbTQ67oXIr1/SiNdhMs34rTCWF44sAxHpSjb4K4+jjsUgCdbzUSZylYg
 R22SOQTozP1wcGhBaHEyge2Ws6BlalZsNs+6sHxewHhbeiKzpHNmpcmm91Fi0c+fS9mU
 xq1jv47IlIl8zsgXSeoslq8hw/T1lAaH4f1f3z6hYpwdtthYBkkZcOgFEhUB73s7LEfH
 ce/wRMu1aubLHoHdQwnP+HkLxSGqCmPvAN80pzpGAzNWZEM/Gd6Ac1IPL/zIMfWj5IQ8
 68DA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=oVWk/q2XeDtUSbBVyVaYuBqT6sZOlcXtNbex5DHwEuw=;
 b=mSPOSiS/QrPXKZ+jsnIb/tTtMAFGCjmBA19q8/dtXTb6fo5d2c2bDrPHQNCNue0Qxn
 CMEN4A8l/5iKdKAfUrEmxXOYt0TfI7fIkxHicYvKGOnOnZdsA3cr7G3nMCiWa1ka4wY9
 HmgzlBjgxKrfEsvLp+9ZpXIXO7ExXnFv7hbcMQjcoB9ABU8zwQ8hsGZIztYSfTtg4GUh
 NbZXU1fyiWPXQv69uyfh1vq0P7xqfam2HBnb0udKJc0nRzcIdI6c84EwpCEYelu99cHM
 3Os/ZebJeWB576Rf9lTu/gferNaz7ctSG1sG7s4U/14iBREbq5oXdoZCNOauX2jiAcKy
 /nZQ==
X-Gm-Message-State: APjAAAUlxcQGJO8Wzz4pDQN2q7e4fDFek3eLo+xND5ZQGlrogn2PJmdA
 bVUsjHWH5qNOwb9QIX5+24bnieL86R8jdeicHw0=
X-Google-Smtp-Source: APXvYqxnveNOJLdShBsm2z+W7GzsUe9a7v/WYVinza5wjanGkaKhr9wvuKhd7SOY1B0cMwq7aOmXXqnkoyzvpTr/ApA=
X-Received: by 2002:a9d:664c:: with SMTP id q12mr14943853otm.175.1561909013420; 
 Sun, 30 Jun 2019 08:36:53 -0700 (PDT)
MIME-Version: 1.0
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
 <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
 <835zoohg3p.fsf@HIDDEN>
 <CAOqdjBcRtw=tif82pKAwVaayWNRXePtVSZ6pHnyP8crsxAn1ug@HIDDEN>
 <83h887f8go.fsf@HIDDEN>
 <CAOqdjBd+vMkY7jieH4Q1eC=9m1mYVtEV293+P0sUkWHjG50Y5A@HIDDEN>
 <83a7dzf6k7.fsf@HIDDEN>
In-Reply-To: <83a7dzf6k7.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sun, 30 Jun 2019 15:36:17 +0000
Message-ID: <CAOqdjBfr9RWiPMbxqfBPf7tXcJkYqLe++MPArTx5dURXU3SFHA@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000eac45f058c8c4711"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000eac45f058c8c4711
Content-Type: text/plain; charset="UTF-8"

On Sun, Jun 30, 2019 at 3:15 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > Thanks, but maybe @w{@code{@var{stride} * @var{height}}} would be more correct?
>
> Yes, of course.

Okay, I wasn't sure. Updated patch attached.

--000000000000eac45f058c8c4711
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Allow-a-stride-argument-so-XBM-boolvecs-are-in-the-r.patch"
Content-Disposition: attachment; 
	filename="0001-Allow-a-stride-argument-so-XBM-boolvecs-are-in-the-r.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jxj49r1l0>
X-Attachment-Id: f_jxj49r1l0
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--000000000000eac45f058c8c4711--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 30 Jun 2019 15:15:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 30 11:15:36 2019
Received: from localhost ([127.0.0.1]:47124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhbYG-0005qa-4b
	for submit <at> debbugs.gnu.org; Sun, 30 Jun 2019 11:15:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hhbYE-0005qP-9D
 for 36337 <at> debbugs.gnu.org; Sun, 30 Jun 2019 11:15:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35021)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hhbY8-0005Mr-G1; Sun, 30 Jun 2019 11:15:28 -0400
Received: from [176.228.60.248] (port=1430 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hhbY6-0000Ll-Jy; Sun, 30 Jun 2019 11:15:27 -0400
Date: Sun, 30 Jun 2019 18:15:20 +0300
Message-Id: <83a7dzf6k7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBd+vMkY7jieH4Q1eC=9m1mYVtEV293+P0sUkWHjG50Y5A@HIDDEN>
 (message from Pip Cet on Sun, 30 Jun 2019 14:53:24 +0000)
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
 <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
 <835zoohg3p.fsf@HIDDEN>
 <CAOqdjBcRtw=tif82pKAwVaayWNRXePtVSZ6pHnyP8crsxAn1ug@HIDDEN>
 <83h887f8go.fsf@HIDDEN>
 <CAOqdjBd+vMkY7jieH4Q1eC=9m1mYVtEV293+P0sUkWHjG50Y5A@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sun, 30 Jun 2019 14:53:24 +0000
> Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> 
> Thanks, but maybe @w{@code{@var{stride} * @var{height}}} would be more correct?

Yes, of course.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 30 Jun 2019 14:54:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 30 10:54:09 2019
Received: from localhost ([127.0.0.1]:47090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhbDV-0005Je-1V
	for submit <at> debbugs.gnu.org; Sun, 30 Jun 2019 10:54:09 -0400
Received: from mail-ot1-f41.google.com ([209.85.210.41]:33238)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1hhbDS-0005J7-En
 for 36337 <at> debbugs.gnu.org; Sun, 30 Jun 2019 10:54:07 -0400
Received: by mail-ot1-f41.google.com with SMTP id q20so10863532otl.0
 for <36337 <at> debbugs.gnu.org>; Sun, 30 Jun 2019 07:54:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=wY7eladl+wHJyVuK0MtAVlXiJF4lVkIRKpXPjnF6OOg=;
 b=Z48K31gVvULBgj1YhC0AwtQmg+XMqZUGXVbw9zpFCGOc1CpKjCshjhXEykTBVJ8dLV
 7Qxv7y7sbfrOvow2pV3F+MA8gHqzygoaWhLguJDsNgO19jqGZdok+quIcSgcgL4UOZml
 dJIDUPwoAzpaz8ftnP1ooLXCbFHKYrOu47BNM5MMxwPz3VScf73cc8aiLs6O/ivJeX0f
 zHDESArlwMOct/hoz4+xhr0IGVVooF8SSXso7z0+q1PqUDEkzX4lq0t/Rrr5gI2Vgy/L
 1NS60q5UGnrKHyyjILP29DmESuxE4D9Q3HJ/OUBzqgqM+4HTWVMQo4VvnpXZ90copOw1
 Rm1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=wY7eladl+wHJyVuK0MtAVlXiJF4lVkIRKpXPjnF6OOg=;
 b=Fg9tAyNmyMY925/H1diAVis1wjQKlaj2y2f7tq4oU9SvOUFRpVktEW2xUyET3JPLV7
 rz4frjt0kKupWd0NvbAMMdYIUnPt/aIIAj+VFUkscc47EyoiJi+vtMP7g91Zpo6M4xSA
 8VBU8Naw23h6odCTIKso6I9QXDWMyjsUJpbFsKlCQozXM5c00LLIJm6QktZh9myQoWWX
 TeEGhDDkDP1soIMVP4UIzchSnYN/meVA6jToAsBmIKn09GoA/HoDV1bDL66htDa8Blmz
 0WQJLUOieucfns7+vub9pPSOTsnpl6J/+9Arz6uc4nWli1wFkD8IfcXGLanBedNfv5qh
 S8/A==
X-Gm-Message-State: APjAAAXSAfCbKhXV00+X19PSsx8auIcjxgnhPXTHLzC/qsKtbFs6eVfa
 s9mfdOGifaYKoWBjO+Y2pjKCuiE9i/hxYjW4GKjvmyE4
X-Google-Smtp-Source: APXvYqy/7rDqPsxqbRreJLzJVHnpDarUVB5RPP15Iaz3NjUKQpt1y+I6YJALMvRD2BsHUQfPUTmJ5jgC8f6aLB28Pbw=
X-Received: by 2002:a9d:7284:: with SMTP id t4mr17275316otj.154.1561906440744; 
 Sun, 30 Jun 2019 07:54:00 -0700 (PDT)
MIME-Version: 1.0
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
 <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
 <835zoohg3p.fsf@HIDDEN>
 <CAOqdjBcRtw=tif82pKAwVaayWNRXePtVSZ6pHnyP8crsxAn1ug@HIDDEN>
 <83h887f8go.fsf@HIDDEN>
In-Reply-To: <83h887f8go.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sun, 30 Jun 2019 14:53:24 +0000
Message-ID: <CAOqdjBd+vMkY7jieH4Q1eC=9m1mYVtEV293+P0sUkWHjG50Y5A@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Jun 30, 2019 at 2:34 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > +A string or a bool-vector containing the bits of the image (plus
> > +perhaps some extra bits at the end that will not be used).  It should
> > +contain at least @var{stride} * @code{height} bits, where @var{stride}
>                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> This should be @w{@code{@var{stride} * @code{height}}}, sorry I didn't
> notice this before.

Thanks, but maybe @w{@code{@var{stride} * @var{height}}} would be more correct?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 30 Jun 2019 14:34:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 30 10:34:36 2019
Received: from localhost ([127.0.0.1]:47073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhaua-0004rC-DS
	for submit <at> debbugs.gnu.org; Sun, 30 Jun 2019 10:34:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hhauY-0004qz-DT
 for 36337 <at> debbugs.gnu.org; Sun, 30 Jun 2019 10:34:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34434)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hhauQ-0003um-RC; Sun, 30 Jun 2019 10:34:27 -0400
Received: from [176.228.60.248] (port=2861 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hhauM-0005tY-Mw; Sun, 30 Jun 2019 10:34:24 -0400
Date: Sun, 30 Jun 2019 17:34:15 +0300
Message-Id: <83h887f8go.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBcRtw=tif82pKAwVaayWNRXePtVSZ6pHnyP8crsxAn1ug@HIDDEN>
 (message from Pip Cet on Sun, 30 Jun 2019 09:48:31 +0000)
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
 <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
 <835zoohg3p.fsf@HIDDEN>
 <CAOqdjBcRtw=tif82pKAwVaayWNRXePtVSZ6pHnyP8crsxAn1ug@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sun, 30 Jun 2019 09:48:31 +0000
> Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> 
> +A string or a bool-vector containing the bits of the image (plus
> +perhaps some extra bits at the end that will not be used).  It should
> +contain at least @var{stride} * @code{height} bits, where @var{stride}
                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
This should be @w{@code{@var{stride} * @code{height}}}, sorry I didn't
notice this before.

Otherwise, this LGTM, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 30 Jun 2019 09:49:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 30 05:49:15 2019
Received: from localhost ([127.0.0.1]:45371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhWSR-0003xW-HC
	for submit <at> debbugs.gnu.org; Sun, 30 Jun 2019 05:49:15 -0400
Received: from mail-oi1-f172.google.com ([209.85.167.172]:33770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1hhWSP-0003xJ-8e
 for 36337 <at> debbugs.gnu.org; Sun, 30 Jun 2019 05:49:13 -0400
Received: by mail-oi1-f172.google.com with SMTP id u15so7490798oiv.0
 for <36337 <at> debbugs.gnu.org>; Sun, 30 Jun 2019 02:49:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=XjnIEiUpBzBfAjUMXrMkOtSYcY1psSq/BKoyvWD/QTA=;
 b=e/CB5Y2ogM70b+M1/hBXSRCqu2jB8dFf/g+a3Nbllt3OCfHG4sEyKVzppqgdrOe1us
 1z2TdSossH1+0TYTXgAuHI2BhOKv7NyFm8oZEtn/eXm/PK0awQIU360tR4Q1mgW3hZ+p
 B20PU9nHWTAphfxCUNMa7ZqOOimSlslBA9RjeioINMRnxGBSj803VfA29lMaKueI3QcI
 GSh6O6shI4Bh7ayvxlOCDLdHHXJDIGm021mEgWJcwETO2AbOVAPLH5wjvHnkrhYxCmZS
 v1gaFz9PhdM4tNtsHyciHr0hooGkT9KUUI3A9SnZLINoMHJysAKK2pDQpUBkSDZS2OLJ
 5csw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=XjnIEiUpBzBfAjUMXrMkOtSYcY1psSq/BKoyvWD/QTA=;
 b=Nky8iA2Cwf5hs2VVCDy3syNwgbWnSvb4OoFPEt5Hf4lWskgnFPA+GVr+5OCF9FMnKP
 480dMErAkcZOlCX8FU5rkm/RsCPP/+510/5oG3pwUQ0EG3aPdcybbSQHVmW9Njrx0Xhs
 qHzVMJWX9PIs1ir/7tyQWP/JR+K6tlnPeZ7HX3OjAeiz99jmAln7j87XuyD4dt04uA+u
 a5v4vepjVwXmarNFwxzNmozmv1kns8SaZ+h1WmpXFrB2GhSs7mLh6HG3e00y/jiM84fw
 fiXxRg/ePAQs9ckXoezEhEs7YxYFL9D/lqy+u/tlb1N/ZMtcPSB3aFCBcF+e9V19B40B
 yHjw==
X-Gm-Message-State: APjAAAW7u8hdc3UG4D32YbFHpQ6zoBHvdsb1yf3MDb0sX0elRjFghW/M
 BzHQGtz0RmCzQqMZngQl1qhWDz+MuDnfjFUPidnpzEaV
X-Google-Smtp-Source: APXvYqyKZsqnx2Om8FLUlW7vUzWJH43uLa1EbDwVUzjBUkK0t0T5iUMMBozUQGeppwtHTPFpS5LWVcTUUaC3qFPR6/o=
X-Received: by 2002:a05:6808:313:: with SMTP id
 i19mr3485012oie.30.1561888147415; 
 Sun, 30 Jun 2019 02:49:07 -0700 (PDT)
MIME-Version: 1.0
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
 <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
 <835zoohg3p.fsf@HIDDEN>
In-Reply-To: <835zoohg3p.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sun, 30 Jun 2019 09:48:31 +0000
Message-ID: <CAOqdjBcRtw=tif82pKAwVaayWNRXePtVSZ6pHnyP8crsxAn1ug@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000034bd62058c876c52"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000034bd62058c876c52
Content-Type: text/plain; charset="UTF-8"

On Sat, Jun 29, 2019 at 9:54 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> It's fine, but I wonder whether the NEWS entry should contain a more
> clear message about this new attribute.

It should :-)

> Don't we want to say that
> this attribute _must_ be used if :width is not an integral multiple of
> 8, or else the XBM image will come out slightly garbled?

It won't come out at all (I'm not sure the worst-case scenario of
shifting each successive line by an extra 7 pixels counts as
"slightly" garbled).

Slightly changed patch attached.

--00000000000034bd62058c876c52
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Allow-a-stride-argument-so-XBM-boolvecs-are-in-the-r.patch"
Content-Disposition: attachment; 
	filename="0001-Allow-a-stride-argument-so-XBM-boolvecs-are-in-the-r.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jxiruddu0>
X-Attachment-Id: f_jxiruddu0
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--00000000000034bd62058c876c52--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 29 Jun 2019 09:54:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 05:54:20 2019
Received: from localhost ([127.0.0.1]:43464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhA3o-0006fJ-67
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 05:54:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hhA3m-0006f4-2h
 for 36337 <at> debbugs.gnu.org; Sat, 29 Jun 2019 05:54:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46076)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hhA3g-0007KM-JH; Sat, 29 Jun 2019 05:54:12 -0400
Received: from [176.228.60.248] (port=4252 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hhA3f-0008J7-Ny; Sat, 29 Jun 2019 05:54:12 -0400
Date: Sat, 29 Jun 2019 12:54:02 +0300
Message-Id: <835zoohg3p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
 (message from Pip Cet on Sat, 29 Jun 2019 08:25:21 +0000)
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
 <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sat, 29 Jun 2019 08:25:21 +0000
> Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> 
> > Also, this change needs to be called out in NEWS.
> 
> How's this?

It's fine, but I wonder whether the NEWS entry should contain a more
clear message about this new attribute.  Don't we want to say that
this attribute _must_ be used if :width is not an integral multiple of
8, or else the XBM image will come out slightly garbled?  The text you
wrote doesn't spell that out, and also its last sentence is about
internal implementation details, which I'm not sure matter to the
reader.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 29 Jun 2019 08:26:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 04:26:06 2019
Received: from localhost ([127.0.0.1]:43383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hh8gP-0000HN-Lz
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 04:26:06 -0400
Received: from mail-oi1-f170.google.com ([209.85.167.170]:42225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1hh8gM-0000Gq-Tv
 for 36337 <at> debbugs.gnu.org; Sat, 29 Jun 2019 04:26:04 -0400
Received: by mail-oi1-f170.google.com with SMTP id s184so6053825oie.9
 for <36337 <at> debbugs.gnu.org>; Sat, 29 Jun 2019 01:26:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=oj8D23nx5EZhy1EjO4Kc6Y9/HA4l7tXJN8Av3PAcpIo=;
 b=DY6+yaEOCB67GZ3NhRY/RA7gchWAgEX0J8nq/eB5tl8+9rHue+GMPxY6ISIfpvKfY3
 PIVLAcNnP3lB9nE8y/pheIKaXuG+4AkX0XlDTEqruIiJcUY/IljwoalvoR/fRjdvug9R
 bIt5j6RekWH1iMxkufpoMmRMOqsTzcAkG8wsnKcYKGywjkxacW3v/EU01iqnC9yHf8z3
 uWp4OpEmyFrBtZoj7Kg5SkPCy5Sa9bqhpR2CeScflKqCWfxiy6xrDd39SO19pHihGsJH
 +ws99DwdGY/EkYW7BaxsgqL8/ZRvO1PB9mgcc2PwWajolInDR3XeBeyA8qlotf9E9dt4
 mr8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=oj8D23nx5EZhy1EjO4Kc6Y9/HA4l7tXJN8Av3PAcpIo=;
 b=qseJbl/F2PrUq44RE3HNYuTWvCQ70laEapT6MDSQQLDF1pIzx236Xe1G0IQG9ta9bY
 61WkR4Iz0jexsRpWvke2moPyzSQV2t5pHR3qNeWPmhyc0fbTs9SJI9wKi/oQfmPxPseD
 u9GzZex9Pdgxo9nbeA4fX2dK5Qeg/Jm11xSkdP0R2eB5SjgovLKt1ri9/94vo6n3b5Ak
 RzfjJ098Kj+LQ7o4O41z8amMXJzDuJ6DWqvT5LufM0uNUhkV2MfFiAizSmEj338C9h36
 U1ej9JAS2j5vGjup/yemnJ1RVPXQ//ybfq7H1q3K0RlUDU6GK1KROhyH/qQhTxxna+Yt
 dMqA==
X-Gm-Message-State: APjAAAWXlq+Mg6PI6Q5UeXyF2j+L6sEmwz4tXGzte6ODy6yOeYSbv7T5
 3AugIxMHQ6FEfxSIa+EALCYc/v8Bzi/ljeDtyls=
X-Google-Smtp-Source: APXvYqzvL9IheIDVEQuDmRxraNy8u2X0VbB8l46hY1zfFMHaxhDGKXPJtwTrcGHUWRpWIbHBkEh1nt74r7x27IzePrc=
X-Received: by 2002:a05:6808:313:: with SMTP id
 i19mr1017989oie.30.1561796757134; 
 Sat, 29 Jun 2019 01:25:57 -0700 (PDT)
MIME-Version: 1.0
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 <838stkhlk3.fsf@HIDDEN>
In-Reply-To: <838stkhlk3.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sat, 29 Jun 2019 08:25:21 +0000
Message-ID: <CAOqdjBeWqJDAzTcpeOrt5dQt+6kz05poj3AJD7wKH_fZi+erig@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000ebca46058c722481"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000ebca46058c722481
Content-Type: text/plain; charset="UTF-8"

On Sat, Jun 29, 2019 at 7:56 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> Fine with me, but please indent with indent-tabs-mode set to non-nil,
> to be consistent with the surrounding indentation.

Oops. I actually have indent-tabs-mode set to t, so I hope whatever
caused that didn't go wrong in other places.

> Also, this change needs to be called out in NEWS.

How's this?

--000000000000ebca46058c722481
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Allow-a-stride-argument-so-XBM-boolvecs-are-in-the-r.patch"
Content-Disposition: attachment; 
	filename="0001-Allow-a-stride-argument-so-XBM-boolvecs-are-in-the-r.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jxh9fp4o0>
X-Attachment-Id: f_jxh9fp4o0
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--000000000000ebca46058c722481--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 29 Jun 2019 07:56:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 03:56:35 2019
Received: from localhost ([127.0.0.1]:43371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hh8Dr-0005uz-6c
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 03:56:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hh8Dm-0005uY-M0
 for 36337 <at> debbugs.gnu.org; Sat, 29 Jun 2019 03:56:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44654)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hh8Df-0005PR-MO; Sat, 29 Jun 2019 03:56:23 -0400
Received: from [176.228.60.248] (port=4780 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hh8De-0007ZF-Rv; Sat, 29 Jun 2019 03:56:23 -0400
Date: Sat, 29 Jun 2019 10:56:12 +0300
Message-Id: <838stkhlk3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
 (message from Pip Cet on Sat, 29 Jun 2019 07:20:26 +0000)
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
 <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sat, 29 Jun 2019 07:20:26 +0000
> Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> 
> > I'm not sure I understand what you mean, exactly.  Can you show an
> > example of the new API?
> 
> No major changes, just that :stride is passed in along with :height
> and :width (optional for now, but strongly recommended by the
> documentation). See attached patch.

Fine with me, but please indent with indent-tabs-mode set to non-nil,
to be consistent with the surrounding indentation.

Also, this change needs to be called out in NEWS.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 29 Jun 2019 07:21:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 03:21:11 2019
Received: from localhost ([127.0.0.1]:43340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hh7fa-0002wZ-R4
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 03:21:11 -0400
Received: from mail-oi1-f181.google.com ([209.85.167.181]:38398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1hh7fY-0002wL-ES
 for 36337 <at> debbugs.gnu.org; Sat, 29 Jun 2019 03:21:09 -0400
Received: by mail-oi1-f181.google.com with SMTP id v186so5996118oie.5
 for <36337 <at> debbugs.gnu.org>; Sat, 29 Jun 2019 00:21:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=k8sKpMXxm1C24bE8lG4dSlcp2NhbBDCWl+iFL+F8tCA=;
 b=mmiiIC3UR7Ee0L8zJ4N6whpZCPbo5Bum/sxDRD/mJTo20re+70vnPXhJrNCSdnqlH9
 NWvHOEMiO7e4aVC4k/YKzoQCgAW0ZF2N8uhh/Rvg+0ZzQc7MK+vP/zfpjVOWEVWvBdaR
 Lax39jeppk2v2o+0XHYrLZWIFviJuf5LLLHWgfR34Ot3ApIgLF36b3ZYZaNKS9pYO1qK
 IIrTtBdt6F1YoPscP1LmyDJ8orvAnhAdwE2PES2IZd2OaaKgx24dGkBuL5GxnOgZrYXo
 L6BPmV4w3l24d9Ix/8di1Ig7c+XesMtLrqM5BGMJaB2nmakogRZ+xClVyZrLZmux2+L2
 b+IA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=k8sKpMXxm1C24bE8lG4dSlcp2NhbBDCWl+iFL+F8tCA=;
 b=jqdtnaoNuXO/xbOgZZcOHF4IktbIZjhGLPQ4KXqv9wQk5PeSaj5oo/oxf6X8x+Cx39
 CaH0sXvAbqN3PZEPXamfKEzx6HHh/MSV9VHYJ7p+rdtUg0lfR0LIf/jd6TkZqv4jZlUX
 fYFCur2Kz/h6tw88aMdcGp1uR2L0LKyCrrMtw41uiOcRLQFaStCrdr4mHcLzkcWRgiOD
 wMx8CXuG+oiGQl+l34Jovu6xbRHurPYbIHLBoIY9PSBGrJYwHMzdlmdDXVqbu21H1ceq
 gJegDZ7ip2cEGPGvT5rAcmJgHREKPd0HgUtUjeCdwIxnhRvDzDqFd0yKsbYOJZZeOzYw
 b0qg==
X-Gm-Message-State: APjAAAUExOBhszRIRJapTs8bolj0k8A2rq3EtpSeHBtpgNlJR3uj1hkZ
 8JJ9nkqVYR+/n0mtOSi0jH3JQ/6ZV0ebdcvKL4g=
X-Google-Smtp-Source: APXvYqxW3yE7ayrjdDRO6HXgeFbulKJ2ZCtE8THnK/qGC0+rMImg0AXOBt5lbtY4rQTOx+rdGpzIPa5pM4MPKG7F8FM=
X-Received: by 2002:aca:be88:: with SMTP id o130mr924575oif.122.1561792862654; 
 Sat, 29 Jun 2019 00:21:02 -0700 (PDT)
MIME-Version: 1.0
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 <8336jtj2xo.fsf@HIDDEN>
In-Reply-To: <8336jtj2xo.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sat, 29 Jun 2019 07:20:26 +0000
Message-ID: <CAOqdjBfjB7OZtDczTfucAf+DsoR8eBgm5bdR6Jn6zKOm+K2k+g@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000cabde9058c713c8e"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000cabde9058c713c8e
Content-Type: text/plain; charset="UTF-8"

On Fri, Jun 28, 2019 at 12:45 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > Having thought about it, I would rather require the bool vector passed
> > to XBM to be in the right format: the width can be 100, but the
> > stride, specified by a new :stride argument, must be the smallest
> > multiple of 8 greater or equal to the width. If you don't want that,
> > pass a vector of bool vectors which is copied together, but let's not
> > pretend we can take a 10,000-bit bool vector and display it
> > efficiently.
>
> I'm not sure I understand what you mean, exactly.  Can you show an
> example of the new API?

No major changes, just that :stride is passed in along with :height
and :width (optional for now, but strongly recommended by the
documentation). See attached patch.

--000000000000cabde9058c713c8e
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Allow-a-stride-argument-so-XBM-boolvecs-are-in-the-r.patch"
Content-Disposition: attachment; 
	filename="0001-Allow-a-stride-argument-so-XBM-boolvecs-are-in-the-r.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jxh73mqp0>
X-Attachment-Id: f_jxh73mqp0

RnJvbSAyYjhhZmJlZjEzM2VkYjk5NDczMzJiMTE0ZjM3NTgyYWU5NmVmMWFmIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQaXAgQ2V0IDxwaXBjZXRAZ21haWwuY29tPgpEYXRlOiBTYXQs
IDI5IEp1biAyMDE5IDA3OjE1OjUyICswMDAwClN1YmplY3Q6IFtQQVRDSF0gQWxsb3cgYSA6c3Ry
aWRlIGFyZ3VtZW50IHNvIFhCTSBib29sdmVjcyBhcmUgaW4gdGhlIHJpZ2h0CiBmb3JtYXQuCgpC
dWcjMzYzMzcKCiogc3JjL2ltYWdlLmMgKHhibV9pbWFnZV9wKTogRXhwbGljaXRseSBzcGVjaWZ5
IHRoZSByaWdodCBzdHJpZGUgaWYgYQogIGJvb2wgdmVjdG9yIGlzIHVzZWQgYXMgYXJndW1lbnQu
CiogZG9jL2xpc3ByZWYvZGlzcGxheS50ZXhpIChYQk0gSW1hZ2VzKTogRGVzY3JpYmUgYm9vbCB2
ZWN0b3JzCiAgYWNjdXJhdGVseS4KLS0tCiBkb2MvbGlzcHJlZi9kaXNwbGF5LnRleGkgfCAxOCAr
KysrKysrKysrKystLS0tLS0KIHNyYy9pbWFnZS5jICAgICAgICAgICAgICB8IDE0ICsrKysrKysr
KysrKy0tCiAyIGZpbGVzIGNoYW5nZWQsIDI0IGluc2VydGlvbnMoKyksIDggZGVsZXRpb25zKC0p
CgpkaWZmIC0tZ2l0IGEvZG9jL2xpc3ByZWYvZGlzcGxheS50ZXhpIGIvZG9jL2xpc3ByZWYvZGlz
cGxheS50ZXhpCmluZGV4IDIxN2RmM2IyY2MuLjhlN2Q2MjFiNDEgMTAwNjQ0Ci0tLSBhL2RvYy9s
aXNwcmVmL2Rpc3BsYXkudGV4aQorKysgYi9kb2MvbGlzcHJlZi9kaXNwbGF5LnRleGkKQEAgLTU0
MDksMTIgKzU0MDksMTQgQEAgWEJNIEltYWdlcwogWEJNIGZpbGUuICBUaGUgZmlsZSBjb250ZW50
cyBzcGVjaWZ5IHRoZSBoZWlnaHQgYW5kIHdpZHRoIG9mIHRoZSBpbWFnZS4KIAogQGl0ZW0KLUEg
c3RyaW5nIG9yIGEgYm9vbC12ZWN0b3IgY29udGFpbmluZyB0aGUgYml0cyBvZiB0aGUgaW1hZ2Ug
KHBsdXMgcGVyaGFwcwotc29tZSBleHRyYSBiaXRzIGF0IHRoZSBlbmQgdGhhdCB3aWxsIG5vdCBi
ZSB1c2VkKS4gIEl0IHNob3VsZCBjb250YWluIGF0Ci1sZWFzdCBAdmFye3dpZHRofSAqIEBjb2Rl
e2hlaWdodH0gYml0cy4gIEluIHRoaXMgY2FzZSwgeW91IG11c3Qgc3BlY2lmeQotQGNvZGV7Omhl
aWdodH0gYW5kIEBjb2Rlezp3aWR0aH0sIGJvdGggdG8gaW5kaWNhdGUgdGhhdCB0aGUgc3RyaW5n
Ci1jb250YWlucyBqdXN0IHRoZSBiaXRzIHJhdGhlciB0aGFuIGEgd2hvbGUgWEJNIGZpbGUsIGFu
ZCB0byBzcGVjaWZ5IHRoZQotc2l6ZSBvZiB0aGUgaW1hZ2UuCitBIHN0cmluZyBvciBhIGJvb2wt
dmVjdG9yIGNvbnRhaW5pbmcgdGhlIGJpdHMgb2YgdGhlIGltYWdlIChwbHVzCitwZXJoYXBzIHNv
bWUgZXh0cmEgYml0cyBhdCB0aGUgZW5kIHRoYXQgd2lsbCBub3QgYmUgdXNlZCkuICBJdCBzaG91
bGQKK2NvbnRhaW4gYXQgbGVhc3QgQHZhcntzdHJpZGV9ICogQGNvZGV7aGVpZ2h0fSBiaXRzLCB3
aGVyZSBAdmFye3N0cmlkZX0KK2lzIHRoZSBzbWFsbGVzdCBtdWx0aXBsZSBvZiA4IGdyZWF0ZXIg
dGhhbiBvciBlcXVhbCB0byB0aGUgd2lkdGggb2YKK3RoZSBpbWFnZS4gIEluIHRoaXMgY2FzZSwg
eW91IHNob3VsZCBzcGVjaWZ5IEBjb2RlezpoZWlnaHR9LAorQGNvZGV7OndpZHRofSBhbmQgQGNv
ZGV7OnN0cmlkZX0sIGJvdGggdG8gaW5kaWNhdGUgdGhhdCB0aGUgc3RyaW5nCitjb250YWlucyBq
dXN0IHRoZSBiaXRzIHJhdGhlciB0aGFuIGEgd2hvbGUgWEJNIGZpbGUsIGFuZCB0byBzcGVjaWZ5
Cit0aGUgc2l6ZSBvZiB0aGUgaW1hZ2UuCiBAZW5kIGl0ZW1pemUKIAogQGl0ZW0gOndpZHRoIEB2
YXJ7d2lkdGh9CkBAIC01NDIyLDYgKzU0MjQsMTAgQEAgWEJNIEltYWdlcwogCiBAaXRlbSA6aGVp
Z2h0IEB2YXJ7aGVpZ2h0fQogVGhlIHZhbHVlLCBAdmFye2hlaWdodH0sIHNwZWNpZmllcyB0aGUg
aGVpZ2h0IG9mIHRoZSBpbWFnZSwgaW4gcGl4ZWxzLgorCitAaXRlbSA6c3RyaWRlIEB2YXJ7c3Ry
aWRlfQorVGhlIG51bWJlciBvZiBib29sIHZlY3RvciBlbnRyaWVzIHN0b3JlZCBmb3IgZWFjaCBy
b3c7IHRoZSBzbWFsbGVzdAorbXVsdGlwbGUgb2YgOCBncmVhdGVyIHRoYW4gb3IgZXF1YWwgdG8g
QHZhcnt3aWR0aH0uCiBAZW5kIHRhYmxlCiAKIEBub2RlIFhQTSBJbWFnZXMKZGlmZiAtLWdpdCBh
L3NyYy9pbWFnZS5jIGIvc3JjL2ltYWdlLmMKaW5kZXggZjNkNjUwOGY0Ni4uZjYyOGZlNDZkYiAx
MDA2NDQKLS0tIGEvc3JjL2ltYWdlLmMKKysrIGIvc3JjL2ltYWdlLmMKQEAgLTMwOTUsNiArMzA5
NSw3IEBAIHNsdXJwX2ZpbGUgKGludCBmZCwgcHRyZGlmZl90ICpzaXplKQogICBYQk1fRklMRSwK
ICAgWEJNX1dJRFRILAogICBYQk1fSEVJR0hULAorICBYQk1fU1RSSURFLAogICBYQk1fREFUQSwK
ICAgWEJNX0ZPUkVHUk9VTkQsCiAgIFhCTV9CQUNLR1JPVU5ELApAQCAtMzExNiw2ICszMTE3LDcg
QEAgc2x1cnBfZmlsZSAoaW50IGZkLCBwdHJkaWZmX3QgKnNpemUpCiAgIHsiOmZpbGUiLAkJSU1B
R0VfU1RSSU5HX1ZBTFVFLAkJCTB9LAogICB7Ijp3aWR0aCIsCQlJTUFHRV9QT1NJVElWRV9JTlRF
R0VSX1ZBTFVFLAkJMH0sCiAgIHsiOmhlaWdodCIsCQlJTUFHRV9QT1NJVElWRV9JTlRFR0VSX1ZB
TFVFLAkJMH0sCisgIHsiOnN0cmlkZSIsICAgICAgICAgICBJTUFHRV9QT1NJVElWRV9JTlRFR0VS
X1ZBTFVFLAkJMH0sCiAgIHsiOmRhdGEiLAkJSU1BR0VfRE9OVF9DSEVDS19WQUxVRV9UWVBFLAkJ
MH0sCiAgIHsiOmZvcmVncm91bmQiLAlJTUFHRV9TVFJJTkdfT1JfTklMX1ZBTFVFLAkJMH0sCiAg
IHsiOmJhY2tncm91bmQiLAlJTUFHRV9TVFJJTkdfT1JfTklMX1ZBTFVFLAkJMH0sCkBAIC0zMTkx
LDcgKzMxOTMsNyBAQCB4Ym1faW1hZ2VfcCAoTGlzcF9PYmplY3Qgb2JqZWN0KQogICBlbHNlCiAg
ICAgewogICAgICAgTGlzcF9PYmplY3QgZGF0YTsKLSAgICAgIGludCB3aWR0aCwgaGVpZ2h0Owor
ICAgICAgaW50IHdpZHRoLCBoZWlnaHQsIHN0cmlkZTsKIAogICAgICAgLyogRW50cmllcyBmb3Ig
YDp3aWR0aCcsIGA6aGVpZ2h0JyBhbmQgYDpkYXRhJyBtdXN0IGJlIHByZXNlbnQuICAqLwogICAg
ICAgaWYgKCFrd1tYQk1fV0lEVEhdLmNvdW50CkBAIC0zMjAzLDYgKzMyMDUsMTQgQEAgeGJtX2lt
YWdlX3AgKExpc3BfT2JqZWN0IG9iamVjdCkKICAgICAgIHdpZHRoID0gWEZJWE5BVCAoa3dbWEJN
X1dJRFRIXS52YWx1ZSk7CiAgICAgICBoZWlnaHQgPSBYRklYTkFUIChrd1tYQk1fSEVJR0hUXS52
YWx1ZSk7CiAKKyAgICAgIGlmICgha3dbWEJNX1NUUklERV0uY291bnQpCisJc3RyaWRlID0gd2lk
dGg7CisgICAgICBlbHNlCisJc3RyaWRlID0gWEZJWE5BVCAoa3dbWEJNX1NUUklERV0udmFsdWUp
OworCisgICAgICBpZiAoaGVpZ2h0ID4gMSAmJiBzdHJpZGUgIT0gKHdpZHRoICsgQ0hBUl9CSVQg
LSAxKSAvIENIQVJfQklUICogQ0hBUl9CSVQpCisJcmV0dXJuIDA7CisKICAgICAgIC8qIENoZWNr
IHR5cGUgb2YgZGF0YSwgYW5kIHdpZHRoIGFuZCBoZWlnaHQgYWdhaW5zdCBjb250ZW50cyBvZgog
CSBkYXRhLiAgKi8KICAgICAgIGlmIChWRUNUT1JQIChkYXRhKSkKQEAgLTMyNDIsNyArMzI1Miw3
IEBAIHhibV9pbWFnZV9wIChMaXNwX09iamVjdCBvYmplY3QpCiAJfQogICAgICAgZWxzZSBpZiAo
Qk9PTF9WRUNUT1JfUCAoZGF0YSkpCiAJewotCSAgaWYgKGJvb2xfdmVjdG9yX3NpemUgKGRhdGEp
IC8gaGVpZ2h0IDwgd2lkdGgpCisJICBpZiAoYm9vbF92ZWN0b3Jfc2l6ZSAoZGF0YSkgLyBoZWln
aHQgPCBzdHJpZGUpCiAJICAgIHJldHVybiAwOwogCX0KICAgICAgIGVsc2UKLS0gCjIuMjAuMQoK
--000000000000cabde9058c713c8e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 28 Jun 2019 12:45:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 08:45:27 2019
Received: from localhost ([127.0.0.1]:40513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgqFq-0001nS-Ug
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 08:45:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hgqFm-0001nC-SL
 for 36337 <at> debbugs.gnu.org; Fri, 28 Jun 2019 08:45:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54095)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hgqFh-00012G-4B; Fri, 28 Jun 2019 08:45:17 -0400
Received: from [176.228.60.248] (port=2460 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hgqEY-0005yS-3L; Fri, 28 Jun 2019 08:44:09 -0400
Date: Fri, 28 Jun 2019 15:43:15 +0300
Message-Id: <8336jtj2xo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
 (message from Pip Cet on Fri, 28 Jun 2019 08:29:04 +0000)
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
 <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Fri, 28 Jun 2019 08:29:04 +0000
> Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> 
> On Fri, Jun 28, 2019 at 7:58 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > From: Pip Cet <pipcet@HIDDEN>
> > > Date: Sun, 23 Jun 2019 19:16:04 +0000
> 
> Having thought about it, I would rather require the bool vector passed
> to XBM to be in the right format: the width can be 100, but the
> stride, specified by a new :stride argument, must be the smallest
> multiple of 8 greater or equal to the width. If you don't want that,
> pass a vector of bool vectors which is copied together, but let's not
> pretend we can take a 10,000-bit bool vector and display it
> efficiently.

I'm not sure I understand what you mean, exactly.  Can you show an
example of the new API?

> I think my mistake was not to distinguish between stride and width,
> but we can easily do so. Shall I prepare a patch?

Maybe a patch will be the best means to explain what you mean, but if
you'd like to show it before you invest too much effort, please show
an example.

> > I'm sorry, but I object to removing a feature that has been with us
> > since Emacs 19
> 
> Okay. Thanks for taking the time to explain. One serious question,
> though unrelated to the current bug: do you think it is just the Lisp
> API that we're stuck with for eternity, or is the C representation of
> bool vectors forbidden territory as well?

The external public APIs are the primary concern; they should be
changed in backward-compatible manner (e.g., by adding &optional
arguments or adding compatible interpretations of existing arguments).
C-level implementation details matter only inasmuch as they affect the
provided features visible by callers (e.g., signaling errors in some
cases or producing certain results in specific use cases), and also if
they affect other related functionalities.

> > What you propose is not what I think I had in mind.  I meant to extend
> > make-bool-vector (or make a new function, if extending proves
> > inconvenient or inelegant) that generates a bool-vector given 2
> > dimensions, not one.  Then such vectors could be used to create XBM
> > images of arbitrary dimensions.  We could even call this new function
> > something like make-xbm-data or somesuch, if its utility is limited to
> > XBM images.
> 
> How is a vector of bool vectors different from a 2-dimensional bool
> vector, from the point of view of Lisp?

I didn't mean to introduce a 2-dimensional bool-vector, I meant to be
able to create a unidimensional vector in a way that it could be then
used as data for XBM.  In practice, that means the number of bits in
the vector will be more than strictly required by multiplying the two
dimensions.

> As for the problem at hand, how would you feel about adding a :stride
> argument which must be a multiple of 8 and ensures that the bool
> vector passed to the XBM code has the right memory layout?

Could be fine, but I'd like to see an example of using such an API
before I make up my mind.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 28 Jun 2019 08:29:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 04:29:49 2019
Received: from localhost ([127.0.0.1]:40345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgmGS-0006AP-RI
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 04:29:49 -0400
Received: from mail-ot1-f53.google.com ([209.85.210.53]:46808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1hgmGQ-0006AA-ED
 for 36337 <at> debbugs.gnu.org; Fri, 28 Jun 2019 04:29:46 -0400
Received: by mail-ot1-f53.google.com with SMTP id z23so5145310ote.13
 for <36337 <at> debbugs.gnu.org>; Fri, 28 Jun 2019 01:29:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=zCj2lQk+iy+rfbusPvMW1QIKBOqSGdTwg5qLwcGO1o0=;
 b=BSgfHoSEy015u7GE2Q7SPaSpAZapNvE/wn9GwWK5hFl81nr7OjwM+LAEaKkn5J7Hj+
 ZH62ErN25lSciVI87aYBw3H8GayUIf1DlclHMjMrYklMl8MpFm+bei7Dv/qB4csICDfZ
 iib8H3XbegYRVvC8/xDvm4zDxnSPzMfdUdSh/6Hozoc6w1D88kw6I89t0VP7vB5ZTL9X
 Pko8VaQE0sMADw5Y86+PoKxAERnSZszy1qclFusXHnQvkGdXTM8xMiSITIYJyo+kBl5L
 dNKYYA1Jg89MwwdlnNbOZP9C0EigDgspKekSaWB4g2GwmnnOxXhdwLBreX5dW79SWOkT
 wV8w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=zCj2lQk+iy+rfbusPvMW1QIKBOqSGdTwg5qLwcGO1o0=;
 b=s/Ueb5JFue64ZW45EY0XX8n9uNjKU4JPQZRQcDcvaJkhYmvh3XGs2R8trSwjiLmdBc
 pTC1xqTFVv1aFqh9aSdzpjcYZsh2Y7Azr+hBkYcdlzw8v6I/qSKbmu51ofgvCZgg+hMC
 F+5E0d+BkqC5S3Z6Fu148FCtBqhsolxCvGU9wDl+ooFB2gxg+LGJHYwaQld6f5hXHDPq
 BUaWW/QW6q5mpMGNhFq4GIm8wsnQdcsikrtv5bJkZpOdP2XKAQmg4m13LA6/lxsCr5aQ
 zRy6ilq5f2g1g4nsN2RjnVuMSLB/K/etYGP5VSOwtV+ytaUup1nssWQ94SPHvtN34WPP
 RR2g==
X-Gm-Message-State: APjAAAUqLeTyXs6uLzjsERXX5rHV+MyckzI0vCYwhkz7+tkgDHtwLhpY
 CPrn1iM1sBNKeYeE7uToqrJ+CbxsXMG9PWluRdY=
X-Google-Smtp-Source: APXvYqwTADuhDjvHAFkvgCgTpftOcIb/fvbi+m0FAQF5fb8FaqYpAAolBS0MmCUOydlouhs1RxLShHzLiVw31k8dRlQ=
X-Received: by 2002:a9d:744f:: with SMTP id p15mr2456693otk.287.1561710580753; 
 Fri, 28 Jun 2019 01:29:40 -0700 (PDT)
MIME-Version: 1.0
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 <83blyii1kr.fsf@HIDDEN>
In-Reply-To: <83blyii1kr.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Fri, 28 Jun 2019 08:29:04 +0000
Message-ID: <CAOqdjBcL-4tu75U6=RytirLeU5gWgZpCfKj4tDarNiziiP-=ZQ@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Jun 28, 2019 at 7:58 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> > From: Pip Cet <pipcet@HIDDEN>
> > Date: Sun, 23 Jun 2019 19:16:04 +0000
> > Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> >
> > > Or maybe we should have a variant of make-bool-vector that accepts 2
> > > dimension s instead of just one?
> >
> > I don't really see how that would be generally useful, to be honest.
>
> For one, it would be useful in this particular case.  Or would you
> rather require the width of XBM be an integral multiple of 8?

Having thought about it, I would rather require the bool vector passed
to XBM to be in the right format: the width can be 100, but the
stride, specified by a new :stride argument, must be the smallest
multiple of 8 greater or equal to the width. If you don't want that,
pass a vector of bool vectors which is copied together, but let's not
pretend we can take a 10,000-bit bool vector and display it
efficiently.

I think my mistake was not to distinguish between stride and width,
but we can easily do so. Shall I prepare a patch?

> > In fact, I just played around with removing bool vector support
> > entirely.

> I'm sorry, but I object to removing a feature that has been with us
> since Emacs 19

Okay. Thanks for taking the time to explain. One serious question,
though unrelated to the current bug: do you think it is just the Lisp
API that we're stuck with for eternity, or is the C representation of
bool vectors forbidden territory as well?

> , for which we installed new operations just recently in Emacs 24.

If we add new features for bool vectors, they might stick out less.
People might actually start using them. That would invalidate my
earlier argument.

> What you propose is not what I think I had in mind.  I meant to extend
> make-bool-vector (or make a new function, if extending proves
> inconvenient or inelegant) that generates a bool-vector given 2
> dimensions, not one.  Then such vectors could be used to create XBM
> images of arbitrary dimensions.  We could even call this new function
> something like make-xbm-data or somesuch, if its utility is limited to
> XBM images.

How is a vector of bool vectors different from a 2-dimensional bool
vector, from the point of view of Lisp? If I understand you correctly,
you would like two-dimensional bool vectors to be represented in
memory in the XBM format.

As for the problem at hand, how would you feel about adding a :stride
argument which must be a multiple of 8 and ensures that the bool
vector passed to the XBM code has the right memory layout?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 28 Jun 2019 07:58:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 03:58:20 2019
Received: from localhost ([127.0.0.1]:40313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgllz-0005LX-J5
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 03:58:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48715)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hgllw-0005LD-RH
 for 36337 <at> debbugs.gnu.org; Fri, 28 Jun 2019 03:58:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38589)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hgllr-0001TG-0H; Fri, 28 Jun 2019 03:58:11 -0400
Received: from [176.228.60.248] (port=4895 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hgllp-0003ZF-3E; Fri, 28 Jun 2019 03:58:09 -0400
Date: Fri, 28 Jun 2019 10:57:56 +0300
Message-Id: <83blyii1kr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
 (message from Pip Cet on Sun, 23 Jun 2019 19:16:04 +0000)
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
 <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sun, 23 Jun 2019 19:16:04 +0000
> Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> 
> > Or maybe we should have a variant of make-bool-vector that accepts 2
> > dimension s instead of just one?
> 
> I don't really see how that would be generally useful, to be honest.

For one, it would be useful in this particular case.  Or would you
rather require the width of XBM be an integral multiple of 8?

> In fact, I just played around with removing bool vector support
> entirely.
> 
> > > (However, do we want to encourage people to use bool vectors?)
> > Why not?
> 
> We seem to lack even very basic functions for interacting with bool
> vectors, and hardly anyone appears to be using them. Even the :stipple
> face property doesn't. Emacs starts up fine with bool vector support
> removed. We can use vectors of nil/t (in most cases) or unibyte
> strings or bignums (which have arbitrary size limits now, but
> bigbignums would be just a few lines of code, I think).
> 
> And people _think_ bool vectors have a natural presentation as bytes,
> but they don't, because some people start with the most significant
> bit.
> 
> So I just don't see where bool vectors fit in.

I'm sorry, but I object to removing a feature that has been with us
since Emacs 19, for which we installed new operations just recently in
Emacs 24.  Emacs is too stable a program to remove such basic features
because we cannot immediately see where they fit in.  Please consider
them as "fitting in" by definition; we can only remove them if there
are very good _positive_ reasons for removal, not because we cannot
find reasons _not_ to remove them.

> > Evidently, it's convenient in this particular use case.
> 
> Is the convenience worth a thousand lines of code (much of it C) and
> documentation?

Not necessarily; it might mean that the proposed solution is not the
best one.

What you propose is not what I think I had in mind.  I meant to extend
make-bool-vector (or make a new function, if extending proves
inconvenient or inelegant) that generates a bool-vector given 2
dimensions, not one.  Then such vectors could be used to create XBM
images of arbitrary dimensions.  We could even call this new function
something like make-xbm-data or somesuch, if its utility is limited to
XBM images.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 23 Jun 2019 19:16:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 23 15:16:50 2019
Received: from localhost ([127.0.0.1]:54658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hf7yr-0006gG-QI
	for submit <at> debbugs.gnu.org; Sun, 23 Jun 2019 15:16:50 -0400
Received: from mail-ot1-f52.google.com ([209.85.210.52]:39732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1hf7yp-0006fz-1c
 for 36337 <at> debbugs.gnu.org; Sun, 23 Jun 2019 15:16:48 -0400
Received: by mail-ot1-f52.google.com with SMTP id r21so11395851otq.6
 for <36337 <at> debbugs.gnu.org>; Sun, 23 Jun 2019 12:16:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=RRcV0iv1TOucPZPNV6Qy1jG+tZLsmjjGQ72k1doBU6k=;
 b=WmCFqTMgX4HExeUKpmloXkI+1ZskEneK8a2+3MEgTuQfV4iYYSmhw6HB+RQUKjxjq7
 ZzZ4YWrokYWDZY0d4TAy4XUx0jlY3nQA3Prd6pdU5vG0MGlaSNns0GNoHi2kPaNNo60s
 n2HOSlP163rFhhkv73KFYv8bTOuBM+5S1Mmftac3ZaxPEMcRuMbDU/vUMJDHEFdnwFb2
 F3cIeOoVO6hSyU7pLk/b/a/Uz/7AJpqrpubQ2/MHu08Aa+i07QQHkrokx+9jSNL/NgAq
 ei0BGCc5cqivNF8XCj+ISOZpBbUgHKaMtdYFNCnrDtckwRaaEaTYSHFc3s/rQZ1Qde+K
 EQNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=RRcV0iv1TOucPZPNV6Qy1jG+tZLsmjjGQ72k1doBU6k=;
 b=XMajA5pNTOZAsLrVCttaiMT7Kx/eJ0IHz0MtdlHK+JfBa2nJCqHHHINGIbhwkPTAps
 GkPzQ/+FzDO/BWrsSqbkhS0PiYu7Rgs0iCAc96JRn8pmOHtpvzqIyrMCV5HUDSs/TKBG
 joI8TcEclSkMm4xdbLOSz19xk4GQqwQ5o18I2iGnRs3yUiIdH5HFuuUM1tiqHtLMm/rO
 DvRkKqceAjNFIvZntyHrm0R224VxFpxV+Py2ubNmQEFx90F7yN7oGanPwlw1r+GGjKVz
 i9hrtjL5BCJS3IgQvTV0MHHoW20bDaXPptKNw11uZZDRF89mU9GFeMYGAY/k7h9R/6wu
 1tow==
X-Gm-Message-State: APjAAAXNZu8J9faQwgWIDZWLx8Ni1LkblNx9cIqRxytn6YvCGtihzUPj
 eBx5u9f1o595zFsUkQtDwrkGZS/+3zDGTuVvHvI=
X-Google-Smtp-Source: APXvYqz8QZm52/n0j6zlPilXZDCcMuoVqbJUKQobu5YWt+4UITJJ/pgiIOCOyXLJb0BOuTLxOON7s48I9+z9lzfLILQ=
X-Received: by 2002:a9d:7352:: with SMTP id l18mr14099017otk.292.1561317401497; 
 Sun, 23 Jun 2019 12:16:41 -0700 (PDT)
MIME-Version: 1.0
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 <83o92omezr.fsf@HIDDEN>
In-Reply-To: <83o92omezr.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sun, 23 Jun 2019 19:16:04 +0000
Message-ID: <CAOqdjBdji=k4QnkepWEYuP6eECh2PNrWL2OufvDw4OEaQhOqNw@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000019351a058c028988"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000019351a058c028988
Content-Type: text/plain; charset="UTF-8"

On Sun, Jun 23, 2019 at 4:41 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > From: Pip Cet <pipcet@HIDDEN>
> > Date: Sun, 23 Jun 2019 16:26:16 +0000
> > Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> >
> > My suggestion would be to expand `substring' to work on bool vectors,
> > then building a vector of bool vectors and using the existing code for
> > that case. Less code in image.c, plus a new utility function that
> > might be generally useful.
>
> Or maybe we should have a variant of make-bool-vector that accepts 2
> dimension s instead of just one?

I don't really see how that would be generally useful, to be honest.
In fact, I just played around with removing bool vector support
entirely.

> > (However, do we want to encourage people to use bool vectors?)
> Why not?

We seem to lack even very basic functions for interacting with bool
vectors, and hardly anyone appears to be using them. Even the :stipple
face property doesn't. Emacs starts up fine with bool vector support
removed. We can use vectors of nil/t (in most cases) or unibyte
strings or bignums (which have arbitrary size limits now, but
bigbignums would be just a few lines of code, I think).

And people _think_ bool vectors have a natural presentation as bytes,
but they don't, because some people start with the most significant
bit.

So I just don't see where bool vectors fit in.

> Evidently, it's convenient in this particular use case.

Is the convenience worth a thousand lines of code (much of it C) and
documentation?

--00000000000019351a058c028988
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Don-t-assume-the-width-of-xbm-images-is-divisible-by.patch"
Content-Disposition: attachment; 
	filename="0001-Don-t-assume-the-width-of-xbm-images-is-divisible-by.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jx9bryra2>
X-Attachment-Id: f_jx9bryra2

RnJvbSAyZmJmZjMyODQzZGNlYjZhOTAzY2E5OGEwM2IyZjk4MWMwNzZkM2IzIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQaXAgQ2V0IDxwaXBjZXRAZ21haWwuY29tPgpEYXRlOiBTdW4s
IDIzIEp1biAyMDE5IDA4OjAyOjE4ICswMDAwClN1YmplY3Q6IFtQQVRDSF0gRG9uJ3QgYXNzdW1l
IHRoZSB3aWR0aCBvZiB4Ym0gaW1hZ2VzIGlzIGRpdmlzaWJsZSBieSA4LgoKLS0tCiBzcmMvYWxs
b2MuYyB8ICAyICstCiBzcmMvZGF0YS5jICB8IDIwICsrKysrKysrKysrKysrKysrKysrCiBzcmMv
Zm5zLmMgICB8ICAzICsrKwogc3JjL2ltYWdlLmMgfCAxNCArKysrKysrKysrKy0tLQogNCBmaWxl
cyBjaGFuZ2VkLCAzNSBpbnNlcnRpb25zKCspLCA0IGRlbGV0aW9ucygtKQoKZGlmZiAtLWdpdCBh
L3NyYy9hbGxvYy5jIGIvc3JjL2FsbG9jLmMKaW5kZXggNjRhYWE4YWNkZi4uYTgwZmNlMDc4ZiAx
MDA2NDQKLS0tIGEvc3JjL2FsbG9jLmMKKysrIGIvc3JjL2FsbG9jLmMKQEAgLTIyMTAsNyArMjIx
MCw3IEBAIG1ha2VfdW5pbml0X2Jvb2xfdmVjdG9yIChFTUFDU19JTlQgbmJpdHMpCiAKIERFRlVO
ICgibWFrZS1ib29sLXZlY3RvciIsIEZtYWtlX2Jvb2xfdmVjdG9yLCBTbWFrZV9ib29sX3ZlY3Rv
ciwgMiwgMiwgMCwKICAgICAgICBkb2M6IC8qIFJldHVybiBhIG5ldyBib29sLXZlY3RvciBvZiBs
ZW5ndGggTEVOR1RILCB1c2luZyBJTklUIGZvciBlYWNoIGVsZW1lbnQuCi1MRU5HVEggbXVzdCBi
ZSBhIG51bWJlci4gIElOSVQgbWF0dGVycyBvbmx5IGluIHdoZXRoZXIgaXQgaXMgdCBvciBuaWwu
ICAqLykKK0xFTkdUSCBtdXN0IGJlIGEgbnVtYmVyLiAgSU5JVCBtYXR0ZXJzIG9ubHkgaW4gd2hl
dGhlciBpdCBpcyB0cnVlIG9yIG5pbC4gICovKQogICAoTGlzcF9PYmplY3QgbGVuZ3RoLCBMaXNw
X09iamVjdCBpbml0KQogewogICBMaXNwX09iamVjdCB2YWw7CmRpZmYgLS1naXQgYS9zcmMvZGF0
YS5jIGIvc3JjL2RhdGEuYwppbmRleCBjMTY5OWFlYWU3Li43NmIxYzZjYTRjIDEwMDY0NAotLS0g
YS9zcmMvZGF0YS5jCisrKyBiL3NyYy9kYXRhLmMKQEAgLTM3ODMsNiArMzc4MywyNSBAQCBERUZV
TiAoImJvb2wtdmVjdG9yLWNvdW50LWNvbnNlY3V0aXZlIiwgRmJvb2xfdmVjdG9yX2NvdW50X2Nv
bnNlY3V0aXZlLAogICByZXR1cm4gbWFrZV9maXhudW0gKGNvdW50KTsKIH0KIAorREVGVU4gKCJi
b29sLXZlY3Rvci1leHRyYWN0IiwgRmJvb2xfdmVjdG9yX2V4dHJhY3QsIFNib29sX3ZlY3Rvcl9l
eHRyYWN0LCAxLCAzLCAwLAorICAgICAgIGRvYzogLyogUmV0dXJuIGEgbmV3IGJvb2wgdmVjdG9y
IHdoaWNoIGNvbnNpc3RzIG9mIHRoZSBiaXRzCitiZXR3ZWVuIGluZGV4IEZST00gKGluY2x1c2l2
ZSkgYW5kIGluZGV4IFRPIChleGNsdXNpdmUpIG9mIFZFQ1RPUi4gICovKQorICAoTGlzcF9PYmpl
Y3QgdmVjdG9yLCBMaXNwX09iamVjdCBmcm9tLCBMaXNwX09iamVjdCB0bykKK3sKKyAgTGlzcF9P
YmplY3QgcmVzOworICBwdHJkaWZmX3Qgc2l6ZSwgaWZyb20sIGl0bzsKKworICBDSEVDS19CT09M
X1ZFQ1RPUiAodmVjdG9yKTsKKyAgc2l6ZSA9IGJvb2xfdmVjdG9yX3NpemUgKHZlY3Rvcik7Cisg
IHZhbGlkYXRlX3N1YmFycmF5ICh2ZWN0b3IsIGZyb20sIHRvLCBzaXplLCAmaWZyb20sICZpdG8p
OworCisgIHJlcyA9IG1ha2VfdW5pbml0X2Jvb2xfdmVjdG9yIChpdG8gLSBpZnJvbSk7CisKKyAg
Zm9yIChwdHJkaWZmX3QgaSA9IGlmcm9tOyBpIDwgaXRvOyBpKyspCisgICAgYm9vbF92ZWN0b3Jf
c2V0IChyZXMsIGkgLSBpZnJvbSwgYm9vbF92ZWN0b3JfYml0cmVmICh2ZWN0b3IsIGkpKTsKKwor
ICByZXR1cm4gcmVzOworfQogDAogdm9pZAogc3ltc19vZl9kYXRhICh2b2lkKQpAQCAtNDA2NCw2
ICs0MDgzLDcgQEAgI2RlZmluZSBQVVRfRVJST1Ioc3ltLCB0YWlsLCBtc2cpCQkJXAogICBkZWZz
dWJyICgmU2Jvb2xfdmVjdG9yX3N1YnNldHApOwogICBkZWZzdWJyICgmU2Jvb2xfdmVjdG9yX2Nv
dW50X2NvbnNlY3V0aXZlKTsKICAgZGVmc3ViciAoJlNib29sX3ZlY3Rvcl9jb3VudF9wb3B1bGF0
aW9uKTsKKyAgZGVmc3ViciAoJlNib29sX3ZlY3Rvcl9leHRyYWN0KTsKIAogICBzZXRfc3ltYm9s
X2Z1bmN0aW9uIChRd2hvbGVudW1wLCBYU1lNQk9MIChRbmF0bnVtcCktPnUucy5mdW5jdGlvbik7
CiAKZGlmZiAtLWdpdCBhL3NyYy9mbnMuYyBiL3NyYy9mbnMuYwppbmRleCBmZDBjN2ZjNzFhLi42
YmY0NjlkMWU5IDEwMDY0NAotLS0gYS9zcmMvZm5zLmMKKysrIGIvc3JjL2Zucy5jCkBAIC0xMzI2
LDYgKzEzMjYsOSBAQCBERUZVTiAoInN1YnN0cmluZyIsIEZzdWJzdHJpbmcsIFNzdWJzdHJpbmcs
IDEsIDMsIDAsCiAgIExpc3BfT2JqZWN0IHJlczsKICAgcHRyZGlmZl90IHNpemUsIGlmcm9tLCBp
dG87CiAKKyAgaWYgKEJPT0xfVkVDVE9SX1AgKHN0cmluZykpCisgICAgcmV0dXJuIEZib29sX3Zl
Y3Rvcl9leHRyYWN0IChzdHJpbmcsIGZyb20sIHRvKTsKKwogICBzaXplID0gQ0hFQ0tfVkVDVE9S
X09SX1NUUklORyAoc3RyaW5nKTsKICAgdmFsaWRhdGVfc3ViYXJyYXkgKHN0cmluZywgZnJvbSwg
dG8sIHNpemUsICZpZnJvbSwgJml0byk7CiAKZGlmZiAtLWdpdCBhL3NyYy9pbWFnZS5jIGIvc3Jj
L2ltYWdlLmMKaW5kZXggN2I2NDhjNDZhZS4uNzljOGFjMGRmOCAxMDA2NDQKLS0tIGEvc3JjL2lt
YWdlLmMKKysrIGIvc3JjL2ltYWdlLmMKQEAgLTMyNDIsNyArMzI0Miw3IEBAIHhibV9pbWFnZV9w
IChMaXNwX09iamVjdCBvYmplY3QpCiAJfQogICAgICAgZWxzZSBpZiAoQk9PTF9WRUNUT1JfUCAo
ZGF0YSkpCiAJewotCSAgaWYgKGJvb2xfdmVjdG9yX3NpemUgKGRhdGEpIC8gaGVpZ2h0IDwgd2lk
dGgpCisJICBpZiAoaGVpZ2h0ID4gMCAmJiBib29sX3ZlY3Rvcl9zaXplIChkYXRhKSAvIGhlaWdo
dCA8IHdpZHRoKQogCSAgICByZXR1cm4gMDsKIAl9CiAgICAgICBlbHNlCkBAIC0zNzk0LDYgKzM3
OTQsMTYgQEAgeGJtX2xvYWQgKHN0cnVjdCBmcmFtZSAqZiwgc3RydWN0IGltYWdlICppbWcpCiAJ
ewogCSAgVVNFX1NBRkVfQUxMT0NBOwogCisJICBpZiAoQk9PTF9WRUNUT1JfUCAoZGF0YSkpCisJ
ICAgIHsKKwkgICAgICBMaXNwX09iamVjdCBuZXdkYXRhID0gRm1ha2VfdmVjdG9yIChtYWtlX2Zp
eG51bSAoaW1nLT5oZWlnaHQpLCBRbmlsKTsKKwkgICAgICBmb3IgKGludCB5ID0gMDsgeSA8IGlt
Zy0+aGVpZ2h0OyB5KyspCisJCUFTRVQgKG5ld2RhdGEsIHksIEZzdWJzdHJpbmcgKGRhdGEsCisJ
CQkJCSAgICAgIG1ha2VfZml4bnVtICh5ICogaW1nLT53aWR0aCksCisJCQkJCSAgICAgIG1ha2Vf
Zml4bnVtICgoeSArIDEpICogaW1nLT53aWR0aCkpKTsKKwkgICAgICBkYXRhID0gbmV3ZGF0YTsK
KwkgICAgfQorCiAJICBpZiAoVkVDVE9SUCAoZGF0YSkpCiAJICAgIHsKIAkgICAgICBpbnQgaTsK
QEAgLTM4MTMsOCArMzgyMyw2IEBAIHhibV9sb2FkIChzdHJ1Y3QgZnJhbWUgKmYsIHN0cnVjdCBp
bWFnZSAqaW1nKQogCSAgICB9CiAJICBlbHNlIGlmIChTVFJJTkdQIChkYXRhKSkKIAkgICAgYml0
cyA9IFNTREFUQSAoZGF0YSk7Ci0JICBlbHNlCi0JICAgIGJpdHMgPSAoY2hhciAqKSBib29sX3Zl
Y3Rvcl9kYXRhIChkYXRhKTsKIAogI2lmZGVmIEhBVkVfTlRHVUkKICAgICAgICAgICB7Ci0tIAoy
LjIwLjEKCg==
--00000000000019351a058c028988--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 23 Jun 2019 16:41:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 23 12:41:15 2019
Received: from localhost ([127.0.0.1]:54350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hf5YJ-0002sM-EE
	for submit <at> debbugs.gnu.org; Sun, 23 Jun 2019 12:41:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hf5YF-0002s6-HX
 for 36337 <at> debbugs.gnu.org; Sun, 23 Jun 2019 12:41:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49869)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hf5Y9-0005te-R2; Sun, 23 Jun 2019 12:41:06 -0400
Received: from [176.228.60.248] (port=3719 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hf5Y5-0008G7-QS; Sun, 23 Jun 2019 12:41:04 -0400
Date: Sun, 23 Jun 2019 19:40:56 +0300
Message-Id: <83o92omezr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
 (message from Pip Cet on Sun, 23 Jun 2019 16:26:16 +0000)
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
 <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sun, 23 Jun 2019 16:26:16 +0000
> Cc: triska@HIDDEN, 36337 <at> debbugs.gnu.org
> 
> My suggestion would be to expand `substring' to work on bool vectors,
> then building a vector of bool vectors and using the existing code for
> that case. Less code in image.c, plus a new utility function that
> might be generally useful.

Or maybe we should have a variant of make-bool-vector that accepts 2
dimension s instead of just one?

> (However, do we want to encourage people to use bool vectors?)

Why not?  Evidently, it's convenient in this particular use case.

> > If not,
> > maybe we should simply require that both width and height be an
> > integral multiple of 8 in this case.
> 
> Why would you require the height to be a multiple of 8?

You are right, width is enough.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 23 Jun 2019 16:27:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 23 12:27:00 2019
Received: from localhost ([127.0.0.1]:54159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hf5KW-0002LF-AK
	for submit <at> debbugs.gnu.org; Sun, 23 Jun 2019 12:27:00 -0400
Received: from mail-ot1-f45.google.com ([209.85.210.45]:39036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1hf5KU-0002Ky-CB
 for 36337 <at> debbugs.gnu.org; Sun, 23 Jun 2019 12:26:58 -0400
Received: by mail-ot1-f45.google.com with SMTP id r21so11147891otq.6
 for <36337 <at> debbugs.gnu.org>; Sun, 23 Jun 2019 09:26:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=pxZtuxRXymTcS920KbrzT2ZMox7fUcrdSY64pFM8BAo=;
 b=WDUXz/O9EDXQtKvsNAcPercQvsO+K3M0Ji+KlexBv8xsBv1bQ13w9o2yAwW4rgWqQs
 6fgcl/Fmq2qSkQaIaXbSD3nsQwCvCVWaL1f+zBfQzpg7z7bd5J1j+IuqnwUM8ex7bM7I
 7dENAuhPuxf1NpmyfoieMCzcd6ZNq4l3kVXI38LlRe0zLbVIXY7CXJpJEykjWupwkALT
 88+vILtsJ4nKdq0mNmi9PMxKiTf6pdupfzI0DIYt/40Orhlp8WubYur132OZhs6lmGgm
 N47nIv+EYxdzDECz8i+WWVRf+RZ6qdEESrTuHvvNzsTY74Knq12rP9P1y34zoOcDO0ME
 27uA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=pxZtuxRXymTcS920KbrzT2ZMox7fUcrdSY64pFM8BAo=;
 b=CVjbiQD5RLsYxRHMuO+ljUZLGIUN/McrRrNCN/0tiSAtAqMmxuuNl1Wl44S9kr69oN
 mg86jWTo7IG3b1rF1ySNrdTWxZs/EnO57sZy5EinUIljSdUB0uc3cBi1+kmX58uv0ufz
 9Mtrrjan5NnvPIcvZHYKaJa1GnU9kalEjQfYWAtLL9IIM2LI4jhOh+PWQgY2BM4UlMwu
 t7lRYhiMpTH/badgeK/FV59QtUHEJNR75Lr0dNSlj1ZEtPlC+nhc9GhWdR/6sLv4i2Vg
 BM0c3t5hAAdn9ZiK82ualw5HOF2RyyKvJ1brE4xqnja/O+3hqZuT2S2P4jmKTHodmtXW
 R8Ow==
X-Gm-Message-State: APjAAAXcMgXYSvPIhlN+Em/EgXRH9dAcGq033TmtgdcurWCl27UnmjVi
 9KPWZAJtjQKdFFPNhz5ZOuEShAH5IJW8iLZb8/c+SeGe
X-Google-Smtp-Source: APXvYqxOv5PbRTbBYOyy++1KDtNDkAd/qfA5tJB6k5y2SwBk7ZEkcjjfUVXlObfsluruaf9hNMyJ4Ckw9+PBHmsVDdc=
X-Received: by 2002:a9d:7352:: with SMTP id l18mr13664931otk.292.1561307212704; 
 Sun, 23 Jun 2019 09:26:52 -0700 (PDT)
MIME-Version: 1.0
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 <83tvcgml2s.fsf@HIDDEN>
In-Reply-To: <83tvcgml2s.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sun, 23 Jun 2019 16:26:16 +0000
Message-ID: <CAOqdjBfp7Gp2=9bOe4pw4iAYPY=vqXmo-ncf6W-L_R1zozbkjw@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Jun 23, 2019 at 2:29 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > From: Pip Cet <pipcet@HIDDEN>
> > Date: Sun, 23 Jun 2019 08:05:55 +0000
> > Cc: 36337 <at> debbugs.gnu.org
> > This is easy enough to fix by rewriting the bool vector, but that's
> > potentially very slow (on debug builds), so maybe we shouldn't do
> > that?
> >
> > Does the attached patch work for you?
>
> Thanks, but I really hope there's a more elegant solution.

I thought there had to be, but I've yet to think of anything that's
unequivocally better.

My suggestion would be to expand `substring' to work on bool vectors,
then building a vector of bool vectors and using the existing code for
that case. Less code in image.c, plus a new utility function that
might be generally useful. (However, do we want to encourage people to
use bool vectors?)

I don't think performance is an issue, though, and you might disagree.

> If not,
> maybe we should simply require that both width and height be an
> integral multiple of 8 in this case.

Why would you require the height to be a multiple of 8?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 23 Jun 2019 14:29:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 23 10:29:51 2019
Received: from localhost ([127.0.0.1]:54086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hf3V9-0007mu-NK
	for submit <at> debbugs.gnu.org; Sun, 23 Jun 2019 10:29:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58505)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hf3V7-0007mh-Iv
 for 36337 <at> debbugs.gnu.org; Sun, 23 Jun 2019 10:29:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48592)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hf3Uz-0000Xl-Uw; Sun, 23 Jun 2019 10:29:43 -0400
Received: from [176.228.60.248] (port=2665 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hf3Uu-0004gs-1u; Sun, 23 Jun 2019 10:29:37 -0400
Date: Sun, 23 Jun 2019 17:29:31 +0300
Message-Id: <83tvcgml2s.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 (message from Pip Cet on Sun, 23 Jun 2019 08:05:55 +0000)
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org, triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sun, 23 Jun 2019 08:05:55 +0000
> Cc: 36337 <at> debbugs.gnu.org
> 
> The code does indeed assume that it is passed a bool vector which is
> padded to a multiple of 8 bits per line, but doesn't verify that the
> bool vector it is passed indeed matches this format, so it displays
> past the end of the bool vector.
> 
> This is easy enough to fix by rewriting the bool vector, but that's
> potentially very slow (on debug builds), so maybe we shouldn't do
> that?
> 
> Does the attached patch work for you?

Thanks, but I really hope there's a more elegant solution.  If not,
maybe we should simply require that both width and height be an
integral multiple of 8 in this case.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 23 Jun 2019 08:22:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 23 04:22:16 2019
Received: from localhost ([127.0.0.1]:52863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hexlP-00061Z-QO
	for submit <at> debbugs.gnu.org; Sun, 23 Jun 2019 04:22:16 -0400
Received: from metalevel.at ([78.46.218.83]:35406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1hexlN-00061P-PV
 for 36337 <at> debbugs.gnu.org; Sun, 23 Jun 2019 04:22:14 -0400
Received: by metalevel.at (Postfix, from userid 1000)
 id 0F89AA03C9; Sun, 23 Jun 2019 10:22:12 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
References: <m2v9wwvkkt.fsf@HIDDEN>
 <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
Date: Sun, 23 Jun 2019 10:22:12 +0200
In-Reply-To: <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
 (Pip Cet's message of "Sun, 23 Jun 2019 08:05:55 +0000")
Message-ID: <877e9chft7.fsf@HIDDEN>
User-Agent: Emacs/24.5
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> Does the attached patch work for you?

Yes, it works, thank you very much!

All the best,
Markus




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at 36337 <at> debbugs.gnu.org:


Received: (at 36337) by debbugs.gnu.org; 23 Jun 2019 08:06:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 23 04:06:41 2019
Received: from localhost ([127.0.0.1]:52857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hexWL-0005f8-8T
	for submit <at> debbugs.gnu.org; Sun, 23 Jun 2019 04:06:41 -0400
Received: from mail-ot1-f49.google.com ([209.85.210.49]:43705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1hexWJ-0005et-29
 for 36337 <at> debbugs.gnu.org; Sun, 23 Jun 2019 04:06:39 -0400
Received: by mail-ot1-f49.google.com with SMTP id i8so3357675oth.10
 for <36337 <at> debbugs.gnu.org>; Sun, 23 Jun 2019 01:06:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=1lltGRtEXNMQnx7Okl6mL/cDsKq61ER41CeHWf8KyUs=;
 b=T/HCqMrfJcV6zuyGQTuZwj7d8ULfLBl6s2QUth39b37pnHHWrtV7NJEMk+Ymr2oobi
 jL+03xw3Y4fVb3p8ldr30soCf6ZRKxA67b0uAjbd9li9Rwoz1GxdBOFTmeSW7m/H/TWV
 50c1DXfeE5r7iQd68wLI0557SoRcfNfjXkFodcVDjTcMXXZss6qrlu6XDr2cgjhZvDNI
 TUS2bh1svpuMu2ukPEJH1xA3XJ9g3uqqSut8fB6YDtBIP+MRvuS/wz7k9KNLIr71ErUc
 Qah5q9Vw0npTNbsndj0a919epuGIvh0g5IynYM6bpOz4FBTYOq32HZKjUm/xzwY2qtpE
 /iXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=1lltGRtEXNMQnx7Okl6mL/cDsKq61ER41CeHWf8KyUs=;
 b=fu7ndpmL2xNdMOFSspcEokFJ2XTP3DlTd8Pbca/wLJKomfDWgFMSKRpKcA3+f7MtPr
 YmoJNevq9SH2VPm9SAywr638M/ltHP4FkzkFGfe2d6uzo8I70WMQRUIkY+EZsZsfuNxj
 na6xKj5/Sjfj0+DpfeNUoMCcoqFkiQQs1rV/YvKkNNauvT8y+sQf0eqFBRi3LsnjCHt+
 fNEaQo1Wky1Fubd+AQFtbynoiyyS5loX39Gtiv066EcGNRvmY+QlmBRTFIc2hmaGiP0v
 psYglTmWJsPerz3PJ0fCcRX4Nye3+5AAT8OzMs8oR/Tcbj2lMYcEX4KmCM5E3tPuKZ5q
 w6TA==
X-Gm-Message-State: APjAAAV5mEdlQgqo0CsWCoqLA2pc51vRWAYuJXdQd/ETxHRQY5YbUA3Y
 jNplI4qRPXHKky8ppLoQt8fonThxsYaq+iqYLBk4e5DO
X-Google-Smtp-Source: APXvYqwkUuErQfEntWNyOiMCbKiXgF+Vbm852PJgHa47LgXsw/DPSQrI0ryXwheZsv+59xE1gSNl1rvH9nTYdzlnNQ4=
X-Received: by 2002:a9d:7284:: with SMTP id t4mr23997949otj.154.1561277193068; 
 Sun, 23 Jun 2019 01:06:33 -0700 (PDT)
MIME-Version: 1.0
References: <m2v9wwvkkt.fsf@HIDDEN>
In-Reply-To: <m2v9wwvkkt.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sun, 23 Jun 2019 08:05:55 +0000
Message-ID: <CAOqdjBdmC4y9EJaqFegN+jbVJ3jLLMyY4ciPe6++Uxk-D6Lb3g@HIDDEN>
Subject: Re: bug#36337: 26.1; XBM images are sometimes not displayed correctly
To: Markus Triska <triska@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000007d3ce4058bf92c9e"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36337
Cc: 36337 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000007d3ce4058bf92c9e
Content-Type: text/plain; charset="UTF-8"

The code does indeed assume that it is passed a bool vector which is
padded to a multiple of 8 bits per line, but doesn't verify that the
bool vector it is passed indeed matches this format, so it displays
past the end of the bool vector.

This is easy enough to fix by rewriting the bool vector, but that's
potentially very slow (on debug builds), so maybe we shouldn't do
that?

Does the attached patch work for you?



On Sun, Jun 23, 2019 at 7:16 AM Markus Triska <triska@HIDDEN> wrote:
>
>
> Please start Emacs with "$ emacs -Q", and insert the form:
>
>     (let* ((width 100)
>            (height 100)
>            (data (make-bool-vector (* width height) t)))
>       (insert "\n")
>       (insert-image `(image :type xbm
>                             :data ,data
>                             :width ,width
>                             :height ,height) "t")
>       (insert "\n"))
>
> Please move point to the end of the form, and evaluate it with C-x C-e.
>
> This displays a 100x100 XBM image. However, the bottom of the image is
> not displayed as intended: I see a mix of black and white pixels at the
> bottom of the image, whereas I intend it to be filled with black pixels.
>
> For comparison, it works correctly when I change both width and height
> from 100 to 200, or both to 400, and also for several other values.
>
> In GNU Emacs 26.1 (build 1, x86_64-apple-darwin15.3.0, X toolkit, Xaw scroll bars)
>  of 2018-09-22
> Windowing system distributor 'The X.Org Foundation', version 11.0.11502000
>
> Configured features:
> XPM JPEG TIFF GIF PNG GSETTINGS NOTIFY ACL GNUTLS LIBXML2 FREETYPE XFT
> ZLIB TOOLKIT_SCROLL_BARS LUCID X11 MODULES THREADS LCMS2
>
>
>
>

--0000000000007d3ce4058bf92c9e
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Don-t-assume-the-width-of-xbm-images-is-divisible-by.patch"
Content-Disposition: attachment; 
	filename="0001-Don-t-assume-the-width-of-xbm-images-is-divisible-by.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jx8o2hax0>
X-Attachment-Id: f_jx8o2hax0

RnJvbSBlYjQ2ZjcwZGI1Yzc5YmQzZjcxMWU0OTU4Yjc4Y2JmOWFlOTFiYzk4IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQaXAgQ2V0IDxwaXBjZXRAZ21haWwuY29tPgpEYXRlOiBTdW4s
IDIzIEp1biAyMDE5IDA4OjAyOjE4ICswMDAwClN1YmplY3Q6IFtQQVRDSF0gRG9uJ3QgYXNzdW1l
IHRoZSB3aWR0aCBvZiB4Ym0gaW1hZ2VzIGlzIGRpdmlzaWJsZSBieSA4LgoKLS0tCiBzcmMvaW1h
Z2UuYyB8IDE5ICsrKysrKysrKysrKysrKysrKy0KIDEgZmlsZSBjaGFuZ2VkLCAxOCBpbnNlcnRp
b25zKCspLCAxIGRlbGV0aW9uKC0pCgpkaWZmIC0tZ2l0IGEvc3JjL2ltYWdlLmMgYi9zcmMvaW1h
Z2UuYwppbmRleCA4NjYzMjNiYTZlLi43Y2E2MDMzNjk3IDEwMDY0NAotLS0gYS9zcmMvaW1hZ2Uu
YworKysgYi9zcmMvaW1hZ2UuYwpAQCAtMzgxNCw3ICszODE0LDI0IEBAIHhibV9sb2FkIChzdHJ1
Y3QgZnJhbWUgKmYsIHN0cnVjdCBpbWFnZSAqaW1nKQogCSAgZWxzZSBpZiAoU1RSSU5HUCAoZGF0
YSkpCiAJICAgIGJpdHMgPSBTU0RBVEEgKGRhdGEpOwogCSAgZWxzZQotCSAgICBiaXRzID0gKGNo
YXIgKikgYm9vbF92ZWN0b3JfZGF0YSAoZGF0YSk7CisJICAgIHsKKwkgICAgICBpZiAoaW1nLT53
aWR0aCAmIDcpCisJCXsKKwkJICBpbnQgbmJ5dGVzID0gKGltZy0+d2lkdGggKyBDSEFSX0JJVCAt
IDEpIC8gQ0hBUl9CSVQ7CisJCSAgTGlzcF9PYmplY3QgbmV3ZGF0YSA9CisJCSAgICBGbWFrZV9i
b29sX3ZlY3RvciAobWFrZV9maXhudW0gKGltZy0+aGVpZ2h0ICogbmJ5dGVzICogQ0hBUl9CSVQp
LCBRbmlsKTsKKworCQkgIGZvciAoaW50IHkgPSAwOyB5IDwgaW1nLT5oZWlnaHQ7IHkrKykKKwkJ
ICAgIHsKKwkJICAgICAgaW50IGkgPSB5ICogbmJ5dGVzICogQ0hBUl9CSVQ7CisJCSAgICAgIGZv
ciAoaW50IGogPSB5ICogaW1nLT53aWR0aDsgaiA8ICh5KzEpICogaW1nLT53aWR0aDsgaSsrLCBq
KyspCisJCQlib29sX3ZlY3Rvcl9zZXQgKG5ld2RhdGEsIGksIGJvb2xfdmVjdG9yX3JlZiAoZGF0
YSwgaikpOworCQkgICAgfQorCisJCSAgZGF0YSA9IG5ld2RhdGE7CisJCX0KKwkgICAgICBiaXRz
ID0gKGNoYXIgKikgYm9vbF92ZWN0b3JfZGF0YSAoZGF0YSk7CisJICAgIH0KIAogI2lmZGVmIEhB
VkVfTlRHVUkKICAgICAgICAgICB7Ci0tIAoyLjIwLjEKCg==
--0000000000007d3ce4058bf92c9e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jun 2019 07:15:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 23 03:15:46 2019
Received: from localhost ([127.0.0.1]:52851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hewj4-0004Mn-8X
	for submit <at> debbugs.gnu.org; Sun, 23 Jun 2019 03:15:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:58733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1hewj1-0004Mf-Fv
 for submit <at> debbugs.gnu.org; Sun, 23 Jun 2019 03:15:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52883)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <triska@HIDDEN>) id 1hewj0-0005Fe-Gi
 for bug-gnu-emacs@HIDDEN; Sun, 23 Jun 2019 03:15:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <triska@HIDDEN>) id 1hewiz-0000fp-HL
 for bug-gnu-emacs@HIDDEN; Sun, 23 Jun 2019 03:15:42 -0400
Received: from metalevel.at ([78.46.218.83]:42166)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <triska@HIDDEN>) id 1hewiz-0000Or-A1
 for bug-gnu-emacs@HIDDEN; Sun, 23 Jun 2019 03:15:41 -0400
Received: from mt-mbpro.localdomain (localhost.localdomain [127.0.0.1])
 by metalevel.at (Postfix) with ESMTP id 7ED5DA03A4
 for <bug-gnu-emacs@HIDDEN>; Sun, 23 Jun 2019 09:15:29 +0200 (CEST)
Received: by mt-mbpro.localdomain (Postfix, from userid 501)
 id 332F4F4793E; Sun, 23 Jun 2019 09:15:30 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; XBM images are sometimes not displayed correctly
Date: Sun, 23 Jun 2019 09:15:30 +0200
Message-ID: <m2v9wwvkkt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 78.46.218.83
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Please start Emacs with "$ emacs -Q", and insert the form:

    (let* ((width 100)
           (height 100)
           (data (make-bool-vector (* width height) t)))
      (insert "\n")
      (insert-image `(image :type xbm
                            :data ,data
                            :width ,width
                            :height ,height) "t")
      (insert "\n"))

Please move point to the end of the form, and evaluate it with C-x C-e.

This displays a 100x100 XBM image. However, the bottom of the image is
not displayed as intended: I see a mix of black and white pixels at the
bottom of the image, whereas I intend it to be filled with black pixels.

For comparison, it works correctly when I change both width and height
from 100 to 200, or both to 400, and also for several other values.

In GNU Emacs 26.1 (build 1, x86_64-apple-darwin15.3.0, X toolkit, Xaw scroll bars)
 of 2018-09-22
Windowing system distributor 'The X.Org Foundation', version 11.0.11502000

Configured features:
XPM JPEG TIFF GIF PNG GSETTINGS NOTIFY ACL GNUTLS LIBXML2 FREETYPE XFT
ZLIB TOOLKIT_SCROLL_BARS LUCID X11 MODULES THREADS LCMS2





Acknowledgement sent to Markus Triska <triska@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36337; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 24 Sep 2019 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.